2007-04-10 00:01  skvidal

	* yum.spec, yum/__init__.py: mark as 3.0.6

2007-04-08 23:05  skvidal

	* rpmUtils/updates.py: 
	make sure the pseudo-arches get this fix, too.
	
	bugger

2007-04-08 16:45  skvidal

	* rpmUtils/updates.py: closes rh bug:235632 make sure we consider
	noarch pkgs  when looking at things that can update noarch->x86_64
	and x86_64->noarch

2007-04-07 23:53  skvidal

	* cli.py: fix for rh bug: 235572 - when doing install-by-dep make
	sure we look at only the best pkgs from the lists - which means
	sensible archs and best versions

2007-04-02 14:09  skvidal

	* cli.py: 
	Patch from Ville Skyttä fixes rh bug: 234807
	
	if you tried to do: yum install provide-of-something-you-have
	provide-of-something-you-don't
	
	it would never get the second item, only the first.

2007-03-30 13:05  katzj

	* yum/sqlitesack.py: fix filelist handling to not mangle dirs vs
	files

2007-03-15 00:26  skvidal

	* ChangeLog: 
	check in changelog

2007-03-14 15:50  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 3.0.5

2007-03-12 23:22  skvidal

	* cli.py: 
	fix-bizarro perl/perl-devel case and a bunch of other similar ones.
	 fixes rh bug: 231549 thanks to Robin Norwood for the easy
	replicator.

2007-03-09 10:47  skvidal

	* yum/sqlitesack.py: 
	make sure we don't remove an item from a list if it is not there. 
	fixes rh bug: 231535

2007-03-07 17:08  katzj

	* shell.py: kill no longer existent method call (rh#231202)

2007-03-07 15:18  skvidal

	* ChangeLog: 
	merge changelog, again

2007-03-07 15:17  skvidal

	* cli.py: 
	fix for change in matchPackageNames() to meet up with dlutter's
	patch

2007-03-07 14:47  skvidal

	* ChangeLog: 
	merge changelog

2007-03-07 14:46  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 3.0.4

2007-02-28 07:55  timlau

	* yum/packages.py: Added patch by Jack Neely to fix traceback when
	the following is used.
	
	if po == None:
	
	(rhbz #229917)

2007-02-24 03:09  skvidal

	* yum/sqlitesack.py: 
	make globs work again.

2007-02-21 12:01  skvidal

	* yum/sqlitesack.py: apply patch to fix excludes to 3.0.X

2007-02-13 15:05  pmatilai

	* yum/packages.py: - return changelog data from rpm headers in the
	same (date, author, message)   order as elsewhere (rhbz#221166)

2007-02-03 16:33  jbowes

	* cli.py, yum/packageSack.py, yum/sqlitesack.py: Apply patch from
	David Lutterkort for speedup of yum install

2007-02-03 12:09  jbowes

	* cli.py: Patch from Brian Wheeler for a nicer error summary of
	required disk space

2007-02-03 11:04  jbowes

	* callback.py, cli.py, yum-updatesd.py: Fix for rhbz 222835 - Yet
	another patch for logging

2007-01-30 20:53  jbowes

	* cli.py, yum-updatesd.py, yum.spec, docs/yum.8, docs/yum.conf.5,
	etc/Makefile, etc/yum.conf, yum/config.py: Go back to using the old
	config file locations, but support the new ones as well

2007-01-30 20:30  jbowes

	* yummain.py: Put back os.path.expanduser for the profiling stuff.
	I need cvs training wheels

2007-01-28 15:16  jbowes

	* yummain.py: I uncommented the profile stuff and checked it in.
	whoops! This fixes it.

2007-01-27 09:59  skvidal

	* docs/yum.8: 
	fix unclosed parens typo in man page - closes rh bug: 224879

2007-01-26 22:05  jbowes

	* cli.py, yum-updatesd.py, yum.spec, yummain.py, docs/yum.8,
	docs/yum.conf.5, etc/Makefile, etc/yum.conf, yum/__init__.py,
	yum/config.py: Store all config files under /etc/yum. Fallback to
	the old locations if needed.

2007-01-25 13:50  katzj

	* yum/comps.py: ignore bogus lines to avoid things like #224292

2007-01-25 10:40  timlau

	* yum/packages.py: Fixed problem in comparePoEVR, TransactionMember
	objects dont have a ver property.

2007-01-08 14:18  katzj

	* yum/config.py: make the code match the man page (rh#221770)

2007-01-07 15:08  skvidal

	* ChangeLog: 
	update Changelog

2007-01-07 15:07  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 3.0.3

2007-01-06 03:09  timlau

	* yum/Errors.py: fixed YumError messages was not returned.  Added
	the changes made to Errors.py in HEAD, now it is working again.

2007-01-06 02:23  timlau

	* yum/Errors.py: Fixed Traceback args is not defined

2007-01-06 02:13  timlau

	* rpmUtils/arch.py: fixed some indentation error, replaced \\t with
	"	 "

2007-01-04 17:24  skvidal

	* yum/packageSack.py: 
	try to speed up MetaSack returnObsoletes()

2007-01-04 16:46  katzj

	* yum/Errors.py: fix error handling (rh#221470)

2007-01-04 15:00  skvidal

	* yum/packageSack.py: 
	- make MetaSack returnObsoletes not take forever and a day - clean
	up the other PackageSack returnObsoletes()

2007-01-03 13:13  katzj

	* rpmUtils/arch.py: sparc support from spot (rh#220953)

2007-01-03 01:06  skvidal

	* yum/__init__.py: 
	thanks to terje rosten for pointing out this bug - fixes a dumb
	list of lists thing from the ListPackageSacks - makes groupinstall
	work

2006-12-31 15:48  skvidal

	* ChangeLog: 
	changelog update

2006-12-31 15:35  skvidal

	* yum/__init__.py: 
	make package checking work again

2006-12-30 19:22  skvidal

	* yum.spec: 
	3.0.2 in spec file

2006-12-30 19:22  skvidal

	* AUTHORS, TODO, yum/__init__.py: 
	mark as 3.0.2 in the module, cleanup authors and todo

2006-12-21 03:01  skvidal

	* yum/: depsolve.py, rpmsack.py: 
	remove the ts.close() calls in rpmsack. See if it helps the rpmdb
	locking problems. Add in some debug output in the depsolving so we
	can see how much time is spent per dep and what kind of dep it is

2006-12-18 22:54  jbowes

	* yum/packages.py: Add missing 'self'

2006-12-18 22:50  jbowes

	* yum/parser.py: Urlgrabber will always be used here (especially
	since we don't import urllib)

2006-12-18 22:48  jbowes

	* output.py, yum-updatesd.py, yummain.py, yum/__init__.py,
	yum/depsolve.py, yum/packageSack.py, yum/repos.py: Remove a bunch
	of unused imports

2006-12-18 20:45  jbowes

	* yum/logginglevels.py: Replace catching Exception with IOError,
	which should catch all cases

2006-12-09 09:00  jbowes

	* yum/packages.py: Undo my previous patch, since it breaks how the
	sql package overrides returnChecksums

2006-12-08 20:42  jbowes

	* yum/packages.py: Remove unneeded use of lambda in some properties

2006-12-07 18:25  skvidal

	* cli.py: 
	whitespace fix- thanks to terje rosten

2006-12-07 17:15  skvidal

	* yum/config.py: 
	fix up the debuglevel and errorlevel so they are set appropriately
	from the cmdline to the conf

2006-12-05 15:58  katzj

	* yum/mdparser.py: bring back self.total here too

2006-12-05 09:39  jbowes

	* callback.py, cli.py, output.py, progress_meter.py, shell.py,
	yum-updatesd.py, bin/yum-updatesd.py, bin/yum.py,
	rpmUtils/miscutils.py, rpmUtils/updates.py, yum/comps.py,
	yum/depsolve.py, yum/failover.py, yum/mdparser.py, yum/misc.py,
	yum/packageSack.py, yum/packages.py, yum/pgpmsg.py,
	yum/sqlitecache.py, yum/update_md.py: Pychecker fixes back again,
	less the brokenness

2006-12-05 09:03  jbowes

	* callback.py, cli.py, output.py, progress_meter.py, shell.py,
	yum-updatesd.py, bin/yum-updatesd.py, bin/yum.py,
	rpmUtils/miscutils.py, rpmUtils/updates.py, yum/comps.py,
	yum/depsolve.py, yum/failover.py, yum/mdparser.py, yum/misc.py,
	yum/packageSack.py, yum/packages.py, yum/pgpmsg.py,
	yum/sqlitecache.py, yum/update_md.py: Revert previous pychecker
	fixes patch, since I broke things good and proper

2006-12-05 06:20  skvidal

	* yum/: __init__.py, packageSack.py: 
	- make old obsoletes be ignored by install/update command - fix a
	variety of minor issues created by recent changes

2006-12-04 19:44  jbowes

	* callback.py, cli.py, output.py, progress_meter.py, shell.py,
	yum-updatesd.py, bin/yum-updatesd.py, bin/yum.py,
	rpmUtils/miscutils.py, rpmUtils/updates.py, yum/comps.py,
	yum/depsolve.py, yum/failover.py, yum/mdparser.py, yum/misc.py,
	yum/packageSack.py, yum/packages.py, yum/pgpmsg.py,
	yum/sqlitecache.py, yum/update_md.py: pychecker related fixes,
	including unused imports, and removal of use of deprecated methods
	from the string module

2006-12-04 05:22  skvidal

	* output.py: get rid of deprecation warning

2006-12-03 10:56  jbowes

	* yum/packageSack.py: Re-enable using sack.searchAll in the
	provides command. This really speeds up things, since we'll pull
	fewer filelists for packages out of the db. Looks like this broke
	when the metasack was introduced. oops. ;)

2006-11-30 21:45  jbowes

	* yum/yumRepo.py: Remove unused code for manipulating the
	failure_obj during __get

2006-11-28 17:22  katzj

	* yum/__init__.py: 
	* fix a deprecation warning * give an idea of where gpg keys come
	from on the import; add a new callback	 method that's more
	extensible

2006-11-26 19:00  jbowes

	* cli.py, shell.py, yumcommands.py, yummain.py: Implement the
	ShellCommand code

2006-11-25 17:43  jbowes

	* yum/plugins.py: Close the file descriptor used by imp in case an
	exception is thrown.

2006-11-24 13:14  jbowes

	* yum-updatesd.py, yummain.py, yum/__init__.py: Provide a default
	file name for doLock and doUnlock

2006-11-24 13:13  jbowes

	* yum/storagefactory.py: Only catch ImportError in storagefactory

2006-11-17 15:19  skvidal

	* yum/Errors.py: 
	apply patch for bug #670 - thanks to Joe Shaw

2006-11-17 02:10  skvidal

	* docs/yum.conf.5, yum/__init__.py, yum/config.py: 
	allow setting the type of packages that will be installed by
	default on a 'groupinstall' command.

2006-11-15 21:22  katzj

	* cli.py: fix format error (rh#212850)

2006-11-14 16:15  skvidal

	* yum/yumRepo.py: 
	fix progress_obj typo - back to 3.0.X

2006-11-14 16:14  skvidal

	* yum/sqlitesack.py: 
	check in changelog changes to 3.0.X

2006-11-14 16:07  skvidal

	* yum/misc.py: 
	make sure we're comparing versions - thanks to pjones

2006-11-08 10:31  katzj

	* yum-updatesd.py: init plugins, fix log config (jbowes)

2006-11-08 10:01  katzj

	* etc/yum-updatesd.init: fix tyop (rh#214298)

2006-11-06 16:18  katzj

	* etc/yum-updatesd.conf: add a comment and the dbus_listener option
	(rh#214242)

2006-11-06 16:18  katzj

	* yum-updatesd.py: fix excludes (rh#213622, rh#212494) and
	auto-update (rh#212507)

2006-11-03 13:11  katzj

	* cli.py: print out version before plugins are loaded (rh#212292)

2006-11-01 07:56  skvidal

	* ChangeLog: 
	check in changelog

2006-11-01 07:55  skvidal

	* yum.spec, yum/__init__.py: 
	
	mark as 3.0.1

2006-10-30 15:36  lmacken

	* Makefile, docs/Makefile: Add docs target to Makefile for epydoc
	generation

2006-10-25 15:15  katzj

	* yum/misc.py: file can be a unicode string

2006-10-23 21:54  skvidal

	* yum/yumRepo.py: 
	actually return the checksum value

2006-10-18 00:18  skvidal

	* yum/: comps.py, config.py, logginglevels.py, misc.py,
	packages.py, repos.py, sqlitesack.py, storagefactory.py,
	yumRepo.py: 
	- lots of pychecker fixes - remove duplicate code for checksumming
	- clean up some potential bugs

2006-10-16 23:54  skvidal

	* yum-updatesd.py, yum/parser.py: 
	- remove IncludingConfigParser,IncludedConfigParser - make
	yum-updatesd.py use ConfigPreProcessor for include= config files

2006-10-16 18:30  katzj

	* yum/packages.py: bring back equality of package objects

2006-10-13 09:13  pnasrat

	* yum/depsolve.py: EVR comparison from Tim Lauridsen

2006-10-13 09:08  pnasrat

	* yum/packages.py: Fix comparisons using PackageEVR

2006-10-12 21:25  katzj

	* cli.py, yum/packageSack.py, yum/packages.py: fix so that
	foo-1.1-1.i386 != foo-1.1-1.x86_64.  at the same time, move
	comparison to be of an EVR object and adjust callers accordingly. 
	patch for EVR comparison from Tim Lauridsen

2006-10-12 21:17  katzj

	* yum/logginglevels.py: close the syslog handler if it fails to get
	set up (rh#208773)

2006-10-12 13:53  skvidal

	* yum/rpmsack.py: 
	fix typo

2006-10-12 13:50  skvidal

	* yum/rpmsack.py: 
	- speed up searchNevra() by building a pkgtup->headerindex dict -
	make the header_from_index() method work by deleting match iterator
	each time explicitly. Thanks to Jay  Soffian for finding this.

2006-10-10 22:33  katzj

	* yum/__init__.py: raise the right error... this ended up
	manifesting itself by raising the last error (which had been passed
	on) instead of the intended and an entirely non-obvious traceback. 
	moral of the story: always raise a specific exception
	
	(rh#210135)

2006-10-05 22:25  katzj

	* yum/parser.py: fix var expansion (from Dawid Zamirski)

2006-10-05 22:24  katzj

	* yum/yumRepo.py: fix handling of base path (from Dennis
	Gregorivic)

2006-10-05 09:34  katzj

	* yum-updatesd.py: definition moved

2006-10-04 22:26  skvidal

	* ChangeLog: check in changelog

2006-10-04 21:58  skvidal

	* yum.spec, yum/__init__.py: 
	- 3.0 mark - make python 2.4 a req in yum.spec

2006-10-03 17:43  skvidal

	* yum/depsolve.py: 
	messing around with a few tests to figure out where it is slow.

2006-10-03 01:48  skvidal

	* shell.py, yum/depsolve.py: 
	make the fix for pekka's bug more correct

2006-10-03 01:41  skvidal

	* shell.py: 
	fix for the traceback Pekka reported - makes sure that our ts is
	reopened/intialized when the user decides to not run the
	transaction from the shell.

2006-10-02 12:34  timlau

	* yum/plugins.py: replaced IncludingConfigParser with
	ConfigPreProcessor/ConfigParser in plugins, so i works like the
	rest of yum.

2006-10-02 10:42  katzj

	* yum/packages.py: * add a remote_url property for packages to get
	the remote location as a   string that can be printed * get rid of
	some explicit uses of relativepath

2006-10-02 09:02  mjs

	* yum/config.py: Copy the default value in case it is mutable and
	different config instances end up manipulating the same default
	value.

2006-10-02 04:42  timlau

	* yum/plugins.py: fix for this error : AttributeError: 'module'
	object has no attribute 'IncludingConfigParser' When running latest
	yum-cvs with plugins.

2006-10-01 23:46  skvidal

	* yum/: __init__.py, config.py, parser.py: 
	make the include= and yum -c http://path/to/file behave like I
	thought they should.
	
	This, ultimately, removes the need for parser.IncludingConfigParser
	and parser.IncludedConfigParser but I haven't removed them yet b/c
	I wanted to verify that they are not used elsewhere, first.

2006-09-29 11:44  mjs

	* yum/config.py: put accidentally removed line back

2006-09-29 11:42  mjs

	* yum/: packages.py, repos.py: cleaned up Repository.setkeys as
	discussed on yum-devel

2006-09-29 11:30  mjs

	* yum/config.py: Removed on the fly write-back support from the
	config classes. Added BaseConfig.write() instead. This is simpler
	and should use less memory. No-one was using the write support
	anyway.

2006-09-29 11:12  skvidal

	* ChangeLog: 
	check in changelog

2006-09-29 10:45  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 2.9.8

2006-09-29 07:54  timlau

	* yum/rpmsack.py: minor fix to deprecated returnTupleByKeyword
	method in rpmsack.

2006-09-29 01:41  skvidal

	* cli.py: 
	make sure we're not accidentally trying to install an old version

2006-09-29 00:56  skvidal

	* yum/repos.py: 
	make excludes (and who knows how many other things) work again.
	This, however, may not be the correct fix - willing to roll it back
	out

2006-09-29 00:40  skvidal

	* yum/packageSack.py: 
	make sure we're only returning the newest from the metasack

2006-09-28 18:22  katzj

	* yum/__init__.py: if we have a local copy of the package that
	checksums fine, use it instead of trying to do a range request from
	the end of the file (rh#208460)208460)208460)208460)

2006-09-28 16:23  katzj

	* yum-updatesd.py: define a checkFailed signal so that watchers can
	notify users about failures to check for updates

2006-09-28 08:22  mjs

	* yum/config.py: Commited James Bowes' inheritance fix and simplify
	the logic.

2006-09-26 23:08  skvidal

	* ChangeLog: 
	check in changelog

2006-09-26 23:05  skvidal

	* yum.spec, yum/__init__.py: 
	bump the rpm requirement to 4.4.X - I think this covered returning
	headers by index bump version

2006-09-26 09:24  mjs

	* cli.py, shell.py, yumcommands.py, yum/plugins.py: Committed
	Bastiaan Bakker's command extension patch. I made a few bug fixes
	to it.

2006-09-25 17:04  katzj

	* yum-updatesd.py: some error logging; avoid leaving a stale lock
	file (rh#203938)

2006-09-18 16:08  katzj

	* yum/packages.py: lazily populate prco to speed up rpmsack
	initialization when it's not needed

2006-09-18 16:06  katzj

	* yum/packages.py: fix dep installs for locales like turkish where
	string.lower("I") != "i" (rh#206853)

2006-09-14 17:16  katzj

	* yum/logginglevels.py: if we can't connect to a syslog, don't die
	(rh#206474)

2006-09-14 12:12  mjs

	* yum/rpmsack.py: Removed unused excludes attribute and updated
	comments

2006-09-14 03:05  mjs

	* yum/: __init__.py, config.py, yumRepo.py: As discussed privately
	with Paul Nasrat, merged YumRepository and RepoConf to help allow
	config dumping.

2006-09-13 18:39  katzj

	* yum-updatesd.py: * actually time out after a few tries * catch
	another place we could potentially not unlock the pid file

2006-09-13 18:37  katzj

	* yum/: packages.py, sqlitesack.py: swap arguments on __init__ for
	a few Package types so that we have consistency

2006-09-13 18:19  katzj

	* yum/__init__.py: clean up some duplicate code to take advantage
	of the fact that the rpmdb is now a package sack

2006-09-11 17:46  katzj

	* yum/yumRepo.py: we need to redo setupGrab() after changing
	callbacks so that our grabber has the right info.  this makes it so
	that we get progress feedback when downloading in pirut again

2006-09-11 17:01  katzj

	* cli.py, yum/__init__.py: fix whatprovides based on a patch from
	Tim Lauridsen (rh#205924)

2006-09-11 14:09  mjs

	* yum/rpmsack.py: makePackageObject -> _makePackageObject

2006-09-11 06:12  mjs

	* yum/__init__.py: Fixed the disk space check; it was failing
	because po.size can be a string.  Make the disk space check more
	readable by using the statvfs attributes.

2006-09-11 05:56  mjs

	* yum/__init__.py: Prevent a KeyError that was occur during the
	disk space check because errors wasn't always initialised
	correctly. Added adderror() to avoid initialisation problems like
	this and minimise clutter.

2006-09-08 17:05  skvidal

	* yum/: __init__.py, packages.py: 
	partial check in just to get it off my laptop:
	
	1. do check for space in cache dir for downloading packages 2.
	start changing around the way packages are checked

2006-09-08 13:06  skvidal

	* yum/: __init__.py, packages.py: 
	get rid of silly code in verifyPkg()

2006-09-08 12:52  skvidal

	* yum/rpmsack.py: 
	as I read through the changes:	- clean up one docstring  - make
	some of the list constructions using _search look the same

2006-09-08 12:38  skvidal

	* yum/rpmsack.py: 
	make getNameArchPkgList() and getNamePkgList() consistent - if our
	pkglist is length zero then they would have traced back.

2006-09-08 12:29  mjs

	* yum/rpmsack.py: update comments

2006-09-08 12:21  skvidal

	* yum/: __init__.py, misc.py, packages.py: 
	- move refineSearchPattern into  misc from YumBase - clean up some
	pychecker errors

2006-09-08 12:07  mjs

	* yum/rpmsack.py: Big cleanup of RPMDBPackageSack. Indexes are no
	longer built (buildIndexes).  This significantly reducing Yum's
	initialisation time and reduces memory footprint. Despite the lack
	of indexes almost all operations are faster. Will post stats to
	yum-devel.

2006-09-08 09:32  skvidal

	* cli.py, output.py, yum/__init__.py, yum/misc.py, yum/packages.py:
	
	- fix up findDeps interface - it now takes a list of package
	objects - clean up a deprecation in deplistoutput - remove
	RpmBase._prcoTuple2Printable() since it was no longer needed and
	only introduced in this devel series.

2006-09-06 08:57  katzj

	* cli.py: more obvious error message for group not existing
	(rh#204878)

2006-09-06 03:58  mjs

	* cli.py: remove a bunch of unused imports

2006-09-06 03:48  mjs

	* cli.py: use TYPE_INTERACTIVE instead of the deprecated
	TYPE_INTERFACE

2006-09-06 00:45  skvidal

	* rpmUtils/miscutils.py: 
	make epoch output quasi-consistent for comparisons

2006-09-06 00:45  skvidal

	* yum/depsolve.py: add some debug output to depsolving

2006-09-06 00:18  skvidal

	* ChangeLog: 
	check in changelog

2006-09-06 00:17  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 2.9.6

2006-09-05 22:21  katzj

	* cli.py: initialize "interface" plugins for the cli (patch from
	panu)

2006-09-05 22:19  katzj

	* yum-updatesd.py: fix up logging

2006-09-05 14:42  pmatilai

	* yum/depsolve.py: - set transaction problem filters according to
	what's specified in   tsInfo.problemFilter list

2006-09-05 13:57  pmatilai

	* yum/plugins.py: - dont traceback trying to call nonexistent log()
	method if plugin   configuration not found

2006-09-05 13:37  katzj

	* yum/packageSack.py: mo' bettah deprecation warnings

2006-09-05 13:36  katzj

	* yum/__init__.py: fix deprecation warning

2006-09-05 10:03  skvidal

	* yum/__init__.py: 
	make output about key importing work

2006-09-04 12:33  mjs

	* cli.py, shell.py, yum-updatesd.py, yum/__init__.py,
	yum/depsolve.py: Clean up the attributes of YumBase so that they
	are always defined. They are None when not initialised and set if
	initialised. No more messing around with hasattr and deinitialising
	in now a matter of "self.foo = None".

2006-09-03 17:56  skvidal

	* yum/yumRepo.py: 
	set the default interrupt_callback to None for the folks operating
	in lazy-mode

2006-09-03 17:34  mjs

	* output.py, yum/repos.py, yum/yumRepo.py: Allow the interrupt
	callback to be set via the API. Push the command line Yum's own
	interrupt callback function out of the API code.

2006-09-03 17:11  mjs

	* cli.py, rpmUtils/transaction.py, yum/__init__.py, yum/rpmsack.py,
	yum/yumRepo.py: Fixes so that CTRL-C finally works properly:	 -
	rpmdb transactions are only kept open when strictly necessary so
	that	   SIGINT handler is left alone by rpm during downloads etc
	    - added a simple interrupt_callback for package downloads. A
	single CTRL-C	    will push the download to the next mirror. Two
	quick CTRL-C's will	  terminate Yum. This needs cleaning up to
	not upset Yum API clients.

2006-09-03 06:21  mjs

	* yum/__init__.py: fix a return that should be a raise

2006-09-03 05:24  mjs

	* yum/misc.py: removed unnecessary import

2006-09-02 22:50  skvidal

	* yum/rpmsack.py: 
	make sure every package object returned from the rpmsack has an idx
	attribute

2006-09-02 19:17  skvidal

	* yum/depsolve.py: 
	that addErase is to the ts, not tsInfo so it needs a header or an
	header index - not a po.

2006-09-02 18:59  katzj

	* yum/depsolve.py: fix for API change

2006-09-02 18:58  katzj

	* yum/packages.py: add back getProvidesNames() as deprecated, spew
	a deprecation warning for prcoPrintable() as well

2006-09-02 03:47  skvidal

	* yum/: __init__.py, depsolve.py, packages.py, repos.py,
	rpmsack.py, sqlitesack.py, yumRepo.py: 
	- add a repository object to each package object.  - fix a small
	bug in depsolving when the requires and the provides don't match up
	with 0-epoch use - add prco's_print properties to all package
	objects - make it so filelists are autoloaded, if possible, when
	querying filelists of YumAvailablePackageSqlite

2006-09-02 01:45  skvidal

	* yum/: depsolve.py, packages.py, sqlitesack.py: 
	clean up some of the dealing with package objects setup:
	po.provides po.requires po.obsoletes po.conflicts po.provides_names
	po.requires_names po.obsoletes_names po.conflicts_names
	po.changelog po.filelist po.dirlist po.ghostlist po.checksums
	po.changelog
	
	all as properties. They call out when needed so we shouldn't need
	to setup anything to go get them.

2006-09-01 21:16  skvidal

	* yum/: packages.py, sqlitesack.py: 
	- properties do not behave like other subclassable items - which
	sucks - add filelists, dirlists and ghostlist property attributes
	to all package objects

2006-09-01 15:00  skvidal

	* cli.py, yum/depsolve.py, yum/rpmsack.py: 
	added our rpmdb index into package objects from the rpmdb.
	
	po.idx
	
	gets rid of last returnIndexesByTuple()

2006-08-31 22:04  katzj

	* yum/__init__.py: only initialize core plugins by default as
	discussed on yum-devel

2006-08-31 01:11  skvidal

	* yum/sqlitesack.py: 
	cleaning up the things we're suddenly not importing - this makes
	checksums work and maybe prcos

2006-08-30 15:48  katzj

	* yum/__init__.py: fix logging setup to pass debug and error in the
	right order.  fixes yum -d6 and other similar things

2006-08-30 12:49  skvidal

	* yum/depsolve.py: 
	make conflicts stop tracing back when it gets a pkgobj closes rhbug
	#204171

2006-08-30 11:17  mjs

	* yum/packageSack.py: Faster and more memory efficient
	implementation of matchPackageNames()

2006-08-29 11:51  skvidal

	* yum/: __init__.py, packages.py: 
	make 'yum provides' stop backtracing on provides add providesnames
	property to package objects

2006-08-29 10:27  slack

	* yum/packageSack.py: Found a few more returnPackageTuple() methods
	and replaced with po.pkgtup

2006-08-29 02:47  skvidal

	* yum/: packageSack.py, sqlitesack.py: 
	- typo in sqlitesack that made it all break - change out
	matchPackages for matchPackageNames() as that's what it is doing  
	- convert to a generator for memory use   - simplify what it does

2006-08-29 01:17  skvidal

	* yum/sqlitesack.py: 
	fix up YumAvailablePackageSqlite.returnSimple() - if you select %s
	and pass it in on the cursor.execute with sqlite you end up with a
	quoted string. So "select %s from foo", ('somevar')
	
	results in this:
	
	select 'somevar' from foo
	
	which means EVERY answer you get back will be 'somevar' and not the
	value in the row for that column.
	
	If anyone knows how to turn off that quoting per-variable in
	sqlite, let me know - the docs didn't have it.
	
	We also needed an simple-dict to db column-name map so querying for
	certain things would return the right information.

2006-08-28 08:45  skvidal

	* yum/packageSack.py: 
	note about how to make this a generator-capable interface

2006-08-27 16:07  skvidal

	* yum/: packageSack.py, rpmsack.py, sqlitesack.py: 
	
	implement matchPackages() - the equivalent of
	packages.parsePackages() inside PackageSack.PackageSack remove
	repoid optional argument from simplePkgList as it was used nowhere.
	 store results of anysack.simplePkgList() in anysack.pkglist and
	return from there if called multiple times.

2006-08-25 13:30  tambet

	* cli.py: 2006-08-25  Tambet Ingo  <tambet@ximian.com>
	
		* cli.py (YumBaseCli.installPkgs): Use objects instead of
	tuples,
		comparision works only with objects.

2006-08-25 11:57  katzj

	* yum/sqlitesack.py: speed up sqlite querying a bit by only looking
	things up in the appropriate sqlitedb and also only getting what we
	want

2006-08-25 02:45  skvidal

	* yum/: packageSack.py, packages.py: 
	fix up some issues with overlapping methods

2006-08-25 02:22  skvidal

	* yum/packages.py: 
	clean up and compress some of the duplicate methods in the various
	package objects

2006-08-25 02:21  skvidal

	* rpmUtils/miscutils.py: 
	fix problem in flagToString not handling prereq and rpmsense
	requires correctly

2006-08-25 01:13  skvidal

	* output.py, yum/__init__.py, yum/packages.py: 
	get rid of packageobject.size() method - replaced with
	packageobject.size attribute/property

2006-08-25 00:51  skvidal

	* yum/: depsolve.py, packageSack.py, packages.py: 
	depsolve.py:  - get rid of the last call using nevra tuples
	
	packageSack.py:  - kill nevra tuples and dumb print mechanisms
	
	packages.py:  - remove unused methods

2006-08-25 00:25  skvidal

	* yum/: packageSack.py, packages.py: 
	- clean up a few uses of compareEVR - add requires, conflicts,
	provides, obsoletes properties to package objects - add a
	remote_path attribute to YumAvailablePackage objects for easier
	reference

2006-08-24 16:08  katzj

	* yum/rpmsack.py: don't do this check at runtime.  it fails if you
	have an empty rpmdb.  and since we have no fallback, it doesn't
	help us much.  we just need to Requires: a new enough version of
	rpm-python to support this

2006-08-24 11:21  skvidal

	* yum/: Errors.py, repos.py: 
	added Chris Lumens patch for duplicate-repo detection error
	generation.

2006-08-23 07:59  skvidal

	* cli.py, yum-updatesd.py, yum/__init__.py, yum/depsolve.py,
	yum/packages.py: 
	s/packagesByTuple/searchPkgTuple/ - Thanks to Tim Lauridsen

2006-08-22 13:55  skvidal

	* yum/packages.py: 
	condense down the rich comparison methods

2006-08-22 13:44  skvidal

	* yum/: packageSack.py, rpmsack.py: 
	move the searchPO, searchPkgTuples up into PackageSackBase

2006-08-22 00:45  skvidal

	* yum/: depsolve.py, misc.py: 
	cleaned up some other uses of compareEVR()

2006-08-22 00:34  skvidal

	* cli.py: 
	actually remove one entry I left in

2006-08-22 00:32  skvidal

	* cli.py: 
	clean up a few uses of compareEVR()

2006-08-22 00:04  skvidal

	* yum/: packageSack.py, packages.py: rich comparison methods for
	package objects

2006-08-21 22:54  skvidal

	* yum/: packageSack.py, rpmsack.py: 
	all sacks should now have: searchNevra searchPO searchPkgTuples
	
	it should return a list of package objects in every case

2006-08-21 20:25  skvidal

	* ChangeLog: 
	changelog

2006-08-21 20:09  skvidal

	* yum/rpmsack.py: 
	make RPMDBPackageSack must inherit from PackageSackBase to use the
	iterator method

2006-08-21 20:01  skvidal

	* ChangeLog: 
	changelog update

2006-08-21 19:54  skvidal

	* yum.spec, yum/__init__.py: 2.9.5

2006-08-21 16:16  katzj

	* yum/: packageSack.py, rpmsack.py: just define __iter__ once in
	the parent packageSack class and use the inheritance.  also, only
	call returnPackages() once on __iter__

2006-08-21 16:13  katzj

	* yum/rpmsack.py: remove no longer used compat code

2006-08-21 12:55  katzj

	* yum/rpmsack.py: make the warnings give the useful stackframe

2006-08-21 12:48  katzj

	* yum/depsolve.py: fix a traceback due to the API changes

2006-08-20 17:37  skvidal

	* yum/depsolve.py: 
	minor change

2006-08-20 10:43  skvidal

	* yum/: __init__.py, depsolve.py, rpmsack.py: 
	more deprecation warnings added more deprecation warnings fixed

2006-08-20 10:23  skvidal

	* yum/depsolve.py: 
	still more cleanups for deprecation warnings

2006-08-20 10:15  skvidal

	* yum/__init__.py: 
	unnecessary code removal

2006-08-20 10:02  skvidal

	* yum/: __init__.py, depsolve.py: 
	a few more fixes getInstalledPackageObject should probably be
	deprecated, too

2006-08-20 09:52  skvidal

	* cli.py, yum-updatesd.py, yum/__init__.py, yum/depsolve.py,
	yum/rpmsack.py: 
	checking in lots of minor changes to get rid of deprecation
	warnings add 'po' keyword to rpmsack.searchNevra so a package
	object can be passed in instead of just nevras. Maybe should be a
	new method to just take the package object or a more generic search
	method.

2006-08-19 16:20  skvidal

	* yum/rpmsack.py: 
	helps to have the iterator

2006-08-19 16:19  skvidal

	* cli.py, yum/__init__.py, yum/rpmsack.py: 
	purge out getHdrList()

2006-08-19 16:14  skvidal

	* yum/: __init__.py, rpmsack.py, yumRepo.py: 
	fixup a couple of problems

2006-08-19 16:10  skvidal

	* yum/rpmsack.py: 
	emit deprecation warnings for annoying functions in
	rpmsack/rpmdbholder

2006-08-19 16:03  skvidal

	* yummain.py, yum/constants.py: 
	make YUM_PID_FILE a constant

2006-08-19 15:59  skvidal

	* yum/yumRepo.py: 
	fix for metadata_cookie not expiring when people have broken clocks
	and don't know how to use ntp :)

2006-08-19 15:49  skvidal

	* yum/yumRepo.py: fix for rh bug: 200693

2006-08-19 15:42  skvidal

	* cli.py: include nicolas mailhot's patch for -x == --exclude

2006-08-19 15:41  skvidal

	* yum/__init__.py: 
	added chris lumens patch to fix pattern install() operations

2006-08-19 15:22  skvidal

	* rpmUtils/__init__.py: 
	clean out all of old rpmdb code

2006-08-19 15:22  skvidal

	* yum/: packages.py, rpmsack.py: 
	make rpmsack the default rpmdb interface minor cleanups

2006-08-19 15:22  skvidal

	* yum/__init__.py: 
	- make rpmsack the default rpmdb interface - some minor pychecker
	cleanups

2006-08-17 01:51  skvidal

	* yum/rpmsack.py: 
	- fix up rpmsack to be able to be have more like RpmDBHolder.  -
	make rpmsack.whatProvides() mostly work.
	
	a little more and we should be able to swap out then start cleaning
	up.

2006-08-09 10:44  lmacken

	* ChangeLog, yum-updatesd.py, yum/update_md.py: 2006-08-09 10:40 
	lmacken
	
	    * yum/update_md.py:
	    Rewrite to handle new metadata schema.
	    Allow scripted metadata access.
	    Accept YumRepository objects in add().
	    Cache notices for quick searching
	
	    * yum-updatesd.py:
	     Remove (most of) the old metadata retrieval code.
	     Try and grab the update 'type' from the metadata so we can
	check if we
	     are dealing with any security updates.

2006-08-09 00:19  skvidal

	* ChangeLog: 
	changelog check in

2006-08-09 00:14  skvidal

	* yum.spec, yum/__init__.py: mark as 2.9.4

2006-08-08 20:19  katzj

	* yum/__init__.py: Jeremy broke gpg key checking in yum 2.9x*.
	Attached is a patch to fix it, as well as clean up exceptions (from
	yum.Error* to Error*). The problem was just a matter of
	indentation.  (patch + commentary from jbowes :)

2006-08-08 10:07  katzj

	* yum/__init__.py: There was still a call to self.log in
	yum/__init__.py. This patch fixes it.  (jbowes)

2006-08-08 10:06  katzj

	* cli.py, yum/__init__.py, yum/logginglevels.py: set up logging by
	default, ensure we have basic logging initialized before plugins
	(jbowes@redhat.com)

2006-08-02 13:31  katzj

	* yum/__init__.py: namespace error (rh#200901)

2006-07-31 16:27  katzj

	* yum/__init__.py: ensure that we do the arch reduction on
	yum.install(pattern=) also (rh#200346)

2006-07-25 10:40  katzj

	* yum/__init__.py: only clean the installed headers/packages as
	opposed to all (rh#189483 and others)

2006-07-20 14:40  skvidal

	* yum/logginglevels.py: checking in patch to bug 199558 from
	jbowes.

2006-07-12 14:30  katzj

	* yum/__init__.py: if we already have the lock file, trying to get
	it again is fine

2006-07-12 13:53  skvidal

	* yum/depsolve.py: 
	fix missing variable as pointed out by Chris Lumens

2006-07-12 01:32  skvidal

	* ChangeLog: 
	update changelog

2006-07-12 01:24  skvidal

	* yum/yumRepo.py: 
	fix http headers __headersListFromDict so that it will actually run

2006-07-12 01:11  skvidal

	* ChangeLog: 
	Changelog update

2006-07-12 01:11  skvidal

	* yum.spec: 
	fix up spec for yum-updatesd and cron job removal

2006-07-12 01:09  skvidal

	* etc/: Makefile, yum-updatesd-dbus.conf, yum-updatesd.conf: 
	fix up makefile make yum-updatesd.conf be the actual conf file move
	old yum-updatesd.conf to yum-updatesd-dbus.conf

2006-07-12 00:31  skvidal

	* Makefile: 
	fix archive make

2006-07-12 00:04  skvidal

	* yum.spec, yum/__init__.py: 
	bump version - 2.9.3

2006-07-11 14:35  pnasrat

	* cli.py: Enable logging to work correctly for config breakages

2006-07-10 14:02  skvidal

	* callback.py, cli.py, yum/logginglevels.py: 
	checking in changes from jbowes for rh bug 197872: fixes file log
	output

2006-07-10 13:05  katzj

	* yum/yumRepo.py: From James Bowes <jbowes@redhat.com> Attached is
	a patch that adds an http_headers field to YumRepository objects.
	http_headers is a dict (for easy manipulation) that is converted to
	a tuple of 2-tuples before it is passed down into urlgrabber.

2006-07-10 12:54  pnasrat

	* yum/sqlitecache.py: Move to dbversion 9 - add pre for requires

2006-07-05 16:21  skvidal

	* output.py: fix for
	https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=197720

2006-07-05 14:58  slack

	* yum/packages.py: Make seth's eyes not bleed and replace the list
	comps.	Oh the temptation to use map() was strong.

2006-07-05 14:43  slack

	* rpmUtils/miscutils.py, yum/packages.py: Populate the PRCO
	information for YumHeaderPackage and subclasses.  This makes
	examining installed packages a little saner.

2006-07-05 12:18  katzj

	* cli.py: fixup debug level (rh#197607)

2006-07-05 12:17  katzj

	* cli.py: fix-up for api skew (rh#197603)

2006-07-05 10:33  mjs

	* yum/__init__.py: fixed ParsingError reference

2006-07-05 10:32  mjs

	* yum/parser.py: removed debugging output and fixed line wrapping

2006-07-05 09:31  skvidal

	* yum/rpmsack.py: 
	minor string change

2006-07-01 12:31  skvidal

	* yum/repos.py: remove unused modules

2006-06-28 12:37  katzj

	* yum/depsolve.py: fix tyop (jbowes)

2006-06-28 01:19  skvidal

	* rpmUtils/__init__.py: 
	make the code, you know, work.	remove old cruft

2006-06-28 01:19  skvidal

	* yum/rpmsack.py: 
	make the code, you know, work.

2006-06-28 01:07  skvidal

	* yum/rpmsack.py: 
	make it a bit more packagesack-y and track some data we don't need
	to re-opening the rpmdb for.

2006-06-27 17:16  katzj

	* yum.spec: i can do shell... relaly...

2006-06-27 17:10  katzj

	* yum.spec: Strongly couple version

2006-06-27 17:07  katzj

	* yum.spec: add yum-updatesd subpackage

2006-06-27 16:54  katzj

	* docs/Makefile, etc/Makefile: * install yum-updatesd man pages and
	initscript * don't install yum cron job stuff anymore (yum-updatesd
	can do all of this)

2006-06-27 16:53  katzj

	* Makefile, bin/yum-updatesd.py: * install yum-updatesd wrapper
	binary in /usr/sbin * rename /usr/share/yum-cli/yum-updatesd.py to
	something that can be	imported

2006-06-27 00:56  skvidal

	* ChangeLog: merge changelog, again

2006-06-27 00:49  skvidal

	* yum/packages.py: undue stupid things

2006-06-27 00:42  skvidal

	* ChangeLog: 
	merge changelog

2006-06-27 00:40  skvidal

	* yum.spec: mark as 2.9.2 in spec

2006-06-27 00:40  skvidal

	* yum/__init__.py: label as 2.9.2

2006-06-27 00:40  skvidal

	* yum/rpmsack.py: 
	remove odd methods

2006-06-27 00:40  skvidal

	* yum/packages.py: 
	minor addendum

2006-06-26 16:17  katzj

	* docs/: yum-updatesd.8, yum-updatesd.conf.5: add docs for
	yum-updatesd

2006-06-25 21:31  skvidal

	* yum/rpmsack.py: 
	check in tambet's rpmsack.py modify mi2list to return
	YumInstalledPackage objects instead of tuples rename main class to
	RPMDBPackageSack to hopefully decrease confusion

2006-06-25 21:30  skvidal

	* yum/packageSack.py: 
	a few changes to make it a little more like things in rpmsack.py

2006-06-23 10:26  katzj

	* callback.py, cli.py, output.py, shell.py, yummain.py,
	yum/__init__.py, yum/depsolve.py, yum/logginglevels.py,
	yum/plugins.py, yum/sqlitecache.py: From James Bowes
	<jbowes@redhat.com> and modified by me to bring it up to current
	HEAD
	
	Move yum from using a custom logging implementation to python's
	logging module.  Full details about the changes at
	https://lists.dulug.duke.edu/pipermail/yum-devel/2006-May/002235.html

2006-06-21 13:09  skvidal

	* yum.spec: 
	remove libxml2 dep

2006-06-21 13:07  skvidal

	* cli.py, output.py, docs/yum.8, yum/__init__.py, yum/repos.py,
	yum/storagefactory.py, yum/yumRepo.py: 
	all pickle references and mdcache references removed, I think. :)

2006-06-21 11:56  katzj

	* yum-updatesd.py: fix for api change

2006-06-19 17:46  pnasrat

	* yum/sqlitesack.py: Nuke a pychecker warning for shadowing dir

2006-06-19 17:18  pnasrat

	* yum/sqlitesack.py: fix resolvedeps

2006-06-18 23:18  skvidal

	* ChangeLog: merge changelog

2006-06-18 23:15  skvidal

	* yum.spec: 
	spec file version bump - 2.9.1

2006-06-18 23:14  skvidal

	* yum/__init__.py: 
	mark as 2.9.1 - forward port patch from 2.6 for installing
	obsoletes

2006-06-18 23:13  skvidal

	* rpmUtils/updates.py: forward port obsolete install patch from
	2.6.X

2006-06-18 21:22  katzj

	* yum-updatesd.py: * ensure path for cli.py is present * if there's
	an exception at any point in getting update info, be sure we  
	release the lock (rh#195797)

2006-06-16 11:10  mjs

	* yum/plugins.py: updated TODO entries

2006-06-16 10:56  mjs

	* docs/yum.conf.5: Document the pluginconfpath option.

2006-06-16 09:52  mjs

	* yum/__init__.py: Run the "init" plugin slot a little later so
	that the conf object and repository configuration is available when
	"init" is reached.

2006-06-16 03:40  mjs

	* yum/plugins.py: Fixed "inhert" typo.

2006-06-15 05:59  mjs

	* cli.py, yum/__init__.py, yum/config.py, yum/plugins.py: Clean up
	recent changes to config setup API: - removed doStartupConfig() -
	doConfigSetup() now sets up plugins and logging at the right time
	via   external (overridable) methods - don't keep startupconf
	hanging around in base object (removed all references)

2006-06-14 14:18  pnasrat

	* yum/packageSack.py: Fix composite for individual sack exception
	handling

2006-06-14 14:07  pnasrat

	* cli.py: fix for prompting in interactive mode

2006-06-14 14:04  pnasrat

	* yum/__init__.py: Fix import for key grab

2006-06-13 23:19  katzj

	* etc/yum-updatesd.init: add init script

2006-06-13 14:57  lmacken

	* yum-updatesd.py, yum/update_md.py: Add support for reading
	'updateinfo' metadata from repos, if it exists, and sending it
	through dbus to the puplet.  For testing purposes, arbitrary
	metadata may be inserted into repository using the following tool: 
	   http://people.redhat.com/lmacken/insertmd.py

2006-06-13 14:00  katzj

	* yum/misc.py: fix syntax error

2006-06-13 12:03  katzj

	* yum/sqlitesack.py: uniqify the file list.  this avoids the fact
	that with the C-parser and the filesystem package, the list of
	files ends up with / at the end and so we end up with double
	entries.  since we can't have duplicate filenames in a directory
	anyway, unique fixes

2006-06-12 23:46  skvidal

	* yum/packageSack.py: 
	make global excludes work again - packgeSack.MetaSack.delPackage
	needs to be able to delete the pkg object asked for in each/every
	sack or global excludes fail to do anything
	
	jeremy told me I had to mention that this is all jbowes' fault when
	I fixed it. :)

2006-06-12 23:03  lmacken

	* yum/repoMDObject.py: fix unexpanded error message

2006-06-12 21:26  skvidal

	* yum/yumRepo.py: fix for bug 615 - dont crash when out of mirrors
	to try

2006-06-12 00:22  skvidal

	* ChangeLog: 
	check in changelog

2006-06-11 23:54  skvidal

	* yum.spec: 
	remove yum-arch

2006-06-09 17:17  skvidal

	* cli.py, yum/repoMDObject.py: apply lewk's patch to fix jeremy's
	lambda (iiiiiiiiiick) make corrupt repomd.xml's do the right thing
	in the new celementree repomd.xml parser

2006-06-06 23:40  katzj

	* cli.py: and actually save with the comment explaining this...

2006-06-06 23:31  katzj

	* yum-updatesd.py: lots of work to get this to do more of what's
	needed for puplet.  high-level summary: * add support for automatic
	downloading of updates when available * add support for automatic
	installation of updates when available * make emitters more
	object-y so that we can emit more types of signals more   easily. 
	dbus is probably the most fleshed out right now * threads for
	updates/downloading so that we can continue to interact   with the
	daemon while these occur * little bit more command-line fun for
	ease-of-debugging

2006-06-06 23:27  katzj

	* cli.py: use generic getKeyForPackage

2006-06-06 23:26  katzj

	* yum/__init__.py: move gpg key fetching code into core library;
	use a callback function so that we can determine whether or not to
	import if user interaction is needed cleanly between, eg, yum tui
	and pirut

2006-06-05 23:53  katzj

	* yum/yumRepo.py: fix getting group data

2006-06-05 23:18  katzj

	* docs/Makefile: likewise

2006-06-05 23:18  katzj

	* Makefile: no more yum-arch

2006-06-04 15:56  mjs

	* yum/plugins.py: Fixed missing comma

2006-06-04 15:48  mjs

	* cli.py, yum/__init__.py, yum/config.py, yum/plugins.py: Allow
	plugins to add and manipulate Yum's configuration file options in
	the same way as they are defined in Yum. This means that plugin
	option defines are far more flexible and powerful than before. The
	old API (registerOpt) still exists but is deprecated (with a saner
	implementation). I will update the wiki with info on how plugins
	can now define their own options.
	
	This cleans up a lot of plugin related code but changes the Yum API
	slightly wrt to initialisation. Documentation about this to come on
	yum-devel.
	
	This commit also includes Misa's (misa+yum@redhat.com) patch to add
	a config option for specifying the directories to look in for
	plugin configuration files.

2006-05-30 06:15  tambet

	* yum/: __init__.py, packages.py, storagefactory.py, yumRepo.py:
	2006-05-30  Tambet Ingo  <tambet@ximian.com>
	
		* yum/storagefactory.py: Implement. The yumRepo class got a
	little
		crowded with all of these "try to import _sqlitecache,
	sqlite, etc...".
	
		* yum/yumRepo.py (YumPackageSack.populate): Use
	repo.storage to
		get cache handler.
		(YumRepository.__init__): Use storagefactory to get package
	sack.
	
		* yum/packages.py (RpmBase.inPrcoRange): Fix the leftover
		mdUtils.compareEVR usage.
	
		* yum/__init__.py (YumBase.__init__): Log the used storage
	name.

2006-05-28 08:12  skvidal

	* yum-updatesd.py: 
	add some todo's at the top

2006-05-28 01:33  skvidal

	* Makefile, yum.spec: 
	remove repomd from spec and Makefiles

2006-05-28 01:32  skvidal

	* yum/: Errors.py, __init__.py, depsolve.py, misc.py,
	packageSack.py, packages.py, repoMDObject.py, repos.py,
	sqlitesack.py, yumRepo.py: 
	- move files from repomd into yum - modify lots of things to make
	this work

2006-05-25 18:06  skvidal

	* yum/: depsolve.py, sqlitesack.py: 
	collection of changes to speed up whatProvides() using the sqlite
	db's

2006-05-25 10:33  skvidal

	* yum/yumRepo.py: 
	- fix up a couple of places where the new routines were not used

2006-05-24 19:24  skvidal

	* yum/yumRepo.py: 
	- rename _retrieveMD to retrieveMD() - rename _checkMD to checkMD()
	- clean up both functions

2006-05-24 19:23  skvidal

	* yum/__init__.py: 
	fix minor call into repos

2006-05-24 17:42  skvidal

	* yum/repos.py: 
	remove some unused imports

2006-05-24 14:41  pnasrat

	* yum/: repos.py, yumRepo.py: Enable failure_callbacks on mirror
	objects

2006-05-24 10:37  katzj

	* yum/__init__.py: keeping around older Extras packages, we can end
	up with some pretty pathological multilib cases around noarch
	packages.
	
	Having both x86_64 and noarch of the same package installed is
	non-sensical.  But we want to allow switching from native -> noarch
	and back.  So, let's take into account that noarch is a third case
	beyond base arch and compat arch.
	
	With that, we get to where there are four basic cases of newest
	packages 1) No noarch packages.  This ends up with what we have
	today where you install the base arch and the compat arch if
	available 2) Only noarch packages.  This also ends up like present
	3) Noarch package that's newer than the basearch package.  This
	means that we want the noarch package and not the basearch or
	compat-arch 4) Noarch package that's older than the basearch
	package.  This means we want the basearch and compat-arch if it
	exists
	
	rh #189998

2006-05-24 10:15  tambet

	* yum/storagefactory.py: file storagefactory.py was initially added
	on branch yum-2_6_X.

2006-05-19 18:15  katzj

	* yum-updatesd.py: okay, every 10 seconds is a little bit often...
	:-)

2006-05-19 17:39  katzj

	* yum-updatesd.py, etc/yum-updatesd.conf: a variety of things as I
	start to hook up proto-puplet * some consistency fixes to make
	service names all edu.duke.linux.yum, object paths differ between
	the signaller and the listener but that makes sense * add a
	--no-fork mode so that you can use ctrl-c and hack on this more
	easily * add a ShutDown method (disabled by default) since I was
	getting hit by	 the sigint catcher a few times * add a
	GetUpdatesInfo method to return the information on the available  
	updates.  this should probably be changed to return the information
	in   an async fashion, but I'll get there

2006-05-11 17:06  mjs

	* yum/plugins.py: Committed Michael Chapman's patch for bug #596.
	Plugin defined repository options weren't being read from the
	repository config but from the main config instead.

2006-05-10 14:54  skvidal

	* callback.py: check in Erich Focht <efocht at hpce.nec.com>'s
	callback patch for non-tty progress

2006-05-09 14:08  katzj

	* yum/sqlitesack.py: From James Bowes (jbowes AT redhat DOT com)
	
	The attached patch fixes sqllitesack's two methods,
	returnNewestByNameArch and returnNewestByName, which were looking
	for their super class in the wrong module.

2006-05-09 03:55  mjs

	* cli.py, yum/plugins.py: Commited Luke's "clean" plugin hook
	patch.

2006-05-09 03:50  mjs

	* yum/plugins.py: repo.set now seems to be repo.setAttribute

2006-05-08 13:30  skvidal

	* yum-updatesd.py: 
	and mean it this time!

2006-05-08 13:26  skvidal

	* yum-updatesd.py: 
	fix email notifications

2006-05-08 11:40  skvidal

	* yum/__init__.py: 
	merge up fix for 191013 from 2.6 branch

2006-05-07 18:55  skvidal

	* etc/yum-updatesd.conf: 
	allow for the listener, too

2006-05-07 18:54  skvidal

	* yum-updatesd.py: 
	updatesd changes:  - works as a daemon and uses a gobject mainloop
	dtrt  - exports a dbus system bus method to allow for triggering to
	check for    updates - uses name = edu.duke.linux.yum.Updatesd,
	object=/Updatesd,  with the method "CheckNow"  - emits a dbus
	system bus signal if updates are available: membername is
	UpdatesAvailableSignal - the string tells how many are available.  
	- emits a dbus system bus signal if updates are NOT available
	membername  is: NoUpdatesAvailableSignal

2006-05-07 16:46  skvidal

	* yum-updatesd.py: 
	checking in latest set of changes before I start redoing it

2006-05-05 15:56  skvidal

	* yum-updatesd.py: 
	syslog support enabled

2006-05-05 15:44  skvidal

	* yum-updatesd.py: 
	first version with working dbus

2006-05-05 14:54  skvidal

	* etc/yum-updatesd.conf: 
	dbus config file needed to talk to the system message bus

2006-05-04 01:29  skvidal

	* yum-updatesd.py: 
	adding yum-updatesd.py to yum cvs HEAD.

2006-04-26 11:29  katzj

	* docs/yum.8: add some more clean options (#575)

2006-04-20 15:26  katzj

	* cli.py: handle --exclude used with a localinstall or localupdate
	(rh#178741)

2006-04-19 18:10  pnasrat

	* yum/: sqlitesack.py, yumRepo.py: importFromDict signature fixup

2006-04-19 18:00  pnasrat

	* yum/__init__.py: Consult repo sack not master

2006-04-19 17:50  pnasrat

	* yum/: sqlitesack.py, yumRepo.py: Fix some issues with new
	sack/repo setup

2006-04-19 10:59  katzj

	* yum/yumRepo.py: ensure consistent access of proxy information so
	that it's always set up even if you're not setting up all the repo
	callbacks (rh#185309)
	
	also, use the proxies for grabbing the mirror list (rh#161190)

2006-04-12 15:01  skvidal

	* yum/yumRepo.py: 
	forgot to cvs add this file - thanks to jbowes for the reminder

2006-04-11 17:37  skvidal

	* callback.py, yum/__init__.py, yum/config.py, yum/sqlitesack.py: 
	merge in jbowes patches for his previous patches - 4/4 had to
	modify the patch due to first hunk not actually having a change in
	it.

2006-04-11 17:34  skvidal

	* yum/packages.py: merge in jbowes packages patch - 3/4

2006-04-11 17:34  skvidal

	* yum/repos.py: merge in jbowes repository patch - 2/4

2006-03-29 14:11  skvidal

	* output.py: 
	list epoch if it exists in yum info - bug 576

2006-03-25 23:51  mjs

	* yum/config.py: - Defaults are now copied at BaseConfig
	instantation time so that they can be	safely changed at runtime
	in multithreaded situations - It is now ok to read and write
	from/to options before populate() has been   called. This avoids
	the AttributeError that occurred previously.
	
	Related mailing list thread:
	https://lists.dulug.duke.edu/pipermail/yum-devel/2006-March/002024.html

2006-03-22 14:37  katzj

	* yum/__init__.py: don't traceback if conditionals have
	non-existent packages (rh#185946)

2006-03-14 17:19  skvidal

	* shell.py: patch to enable sorting of repos in the repo list in
	the shell - bug #568 from Noah Friedman

2006-03-12 04:56  mjs

	* yum/plugins.py: Introduced TYPE_INTERACTIVE as a better name for
	TYPE_INTERFACE. Warn when TYPE_INTERFACE is used. These warnings
	and the TYPE_INTERFACE constant itself will go away before Yum
	3.0.0.

2006-03-12 04:49  mjs

	* Makefile: Have the archive and daily targets pull down PLUGINS
	and FAQ from the wiki.	Merged the implementation of the archive
	and daily targets.

2006-03-07 01:14  skvidal

	* yum.spec, yum/__init__.py: 
	mark for new dev cycle

2006-03-06 23:41  skvidal

	* ChangeLog: 
	changelog check in

2006-03-06 23:38  skvidal

	* yum.spec: 
	remove silly versioned req

2006-03-06 23:38  skvidal

	* yum.spec, yum/__init__.py: 
	2.6.0 in spec and init scripts

2006-03-06 17:28  pnasrat

	* yum/__init__.py: Return error list

2006-03-04 11:09  katzj

	* docs/yum.conf.5, etc/yum.conf, yum/__init__.py, yum/config.py:
	new option 'keepcache' to allow the cache of packages and headers
	to be automatically purged after successful package installation. 
	the default behavior remains to keep things (as previously)

2006-03-03 16:59  katzj

	* yum/transactioninfo.py: we also need to invalidate the sort on
	txmbr add/remove and then _sorted can be used as the overall key of
	if we need to do the sort

2006-03-03 16:33  pnasrat

	* yum/__init__.py: Add install(pattern=) support

2006-03-02 22:48  katzj

	* yum/: __init__.py, depsolve.py: handle deps changing as a result
	of a plugin run and re-run depsolve

2006-03-02 22:47  katzj

	* yum/transactioninfo.py: move changed info into main
	TransactionData class

2006-03-02 16:34  pnasrat

	* yum/__init__.py: Cover case if package selected, then group

2006-03-02 16:20  skvidal

	* yum/pgpmsg.py: 
	reverse the sort order of the displayed user id from gpg keys. 
	This is more likely to get us the most recent and hopefully most
	correct user id.

2006-03-02 10:11  pnasrat

	* yum/: __init__.py, transactioninfo.py: Add conditional group
	support

2006-03-01 14:23  pnasrat

	* docs/yum.conf.5, yum/config.py: Add option for conditional groups

2006-02-28 01:53  skvidal

	* yum/: __init__.py, sqlitesack.py: 
	fix for yum provides foocommand not working
	
	this, ultimately, means that yum provides *foocommand* will be VERY
	SLOW for dumb reasons.
	
	there needs to be a better solution than this but at least this
	solution is functionally correct, albeit slow

2006-02-27 19:29  katzj

	* yum/depsolve.py: fix error message for conflicts (rh#168687)

2006-02-24 11:41  skvidal

	* docs/yum.8: 
	a few doc clarifications for bugs 562 and 563

2006-02-23 11:11  pnasrat

	* output.py: List conditionals in cli/shell

2006-02-22 17:14  skvidal

	* ChangeLog: 
	update changelog for 2.5.3 *sigh*

2006-02-22 17:07  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 2.5.3

2006-02-22 16:56  katzj

	* yum/__init__.py: make it a debug message instead

2006-02-22 16:52  katzj

	* yum/__init__.py: pass the right number of args for a log method

2006-02-22 16:26  skvidal

	* ChangeLog: update the changelog

2006-02-22 16:25  skvidal

	* cli.py, shell.py: 
	a few more last minute changes to the shell and cli way of figuring
	out if a command is valid

2006-02-22 15:52  skvidal

	* shell.py: fix minor bug in shell help

2006-02-22 15:36  skvidal

	* ChangeLog: 
	Changelog update

2006-02-22 15:33  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 2.5.2

2006-02-22 01:37  skvidal

	* cli.py, yum/__init__.py: 
	- remove useless log output - make 'yum search' use
	searchGenerator()

2006-02-22 01:30  skvidal

	* yum/__init__.py: 
	first stab at making the search function a generator.  In order to
	maintain API I made a searchGenerator() method which is used by
	searchPackages to get the same result. searchGenerator should be
	much lighter on memory for big searches and give you more immediate
	results.  Additionally, you don't need the search callback as
	results are yielded immediately upon finding them.
	
	need to port searchPackageProvides() to use a generator as well.

2006-02-11 00:21  mjs

	* yum/config.py: Fix for bug #552.

2006-02-10 09:01  pnasrat

	* yum/comps.py: Handle conditional req types in comps

2006-02-10 01:45  skvidal

	* yum/config.py: 
	fix for rh bug #179512
	
	make yum error out appropriately if config file does not exist

2006-02-10 00:53  skvidal

	* rpmUtils/transaction.py: 
	add David Lutterkort's patch to fix returnLeafNodes to include
	packages that are required only by themselves.

2006-02-10 00:19  skvidal

	* docs/yum.conf.5: added patch to conf man page to mention basic
	auth from within the baseurl
	
	Thanks to  Sean Reifschneider <jafo at tummmy.com>

2006-02-06 11:41  pnasrat

	* yum/parser.py: Actually return default dict

2006-02-05 17:03  mjs

	* yum/plugins.py: Applied Paul Nasrat's patch to make plugins group
	aware with some changes.  Since group information is only available
	after repos have been set up, RepoSetupPluginConduit has been split
	into PreRepoSetupPluginConduit and PostRepoSetupPluginConduit with
	getGroups() available in the latter.

2006-02-01 16:12  pnasrat

	* yum/: __init__.py, transactioninfo.py: Record information about
	removed groups

2006-01-31 17:56  pnasrat

	* yum/__init__.py: Add method to allow easy use of TransactionData
	subclasses

2006-01-31 17:55  pnasrat

	* yum/transactioninfo.py: Add sortable transaction class

2006-01-31 17:54  pnasrat

	* yum/constants.py: Add constants for transaction sorting

2006-01-26 22:15  skvidal

	* yum/__init__.py: 
	make repo processing less 'ugly' as described by menno

2006-01-26 18:03  pnasrat

	* yum/transactioninfo.py: Record installed groups in tsInfo lists

2006-01-26 17:57  pnasrat

	* yum/__init__.py: Fix group removal traceback

2006-01-25 23:36  skvidal

	* yum/__init__.py: 
	make the repoSetup progress callback not overwrite each other.

2006-01-25 23:08  mjs

	* yum/config.py: - fixed bug that caused option inheritance via
	class inheritance not to work	  (installroot and distroverpkg no
	longer need to be defined twice) - lots of documentation - handle
	repo sections that don't have a name set (warn and use id instead)
	- warn when getConfigOption and setConfigOption are used

2006-01-17 02:40  skvidal

	* yum/__init__.py: 
	make note about bug 550 and to make yum check if there is space
	available in the cache dir before downloading packages.

2006-01-16 15:42  slack

	* yum/depsolve.py: This removes the previous support for
	kernel-modules.  This code no longer conforms to the fedora
	standards and kernel module code will live in a yum plugin instead.

2006-01-15 18:31  skvidal

	* shell.py: 
	fix traceback when printing help

2006-01-15 07:23  pnasrat

	* yum/__init__.py: Fix traceback
	https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=177737

2006-01-13 01:07  skvidal

	* cli.py, yum/config.py: 
	fix up the ident

2006-01-13 01:05  skvidal

	* cli.py, yum/config.py: 
	syslog logging support for the contents that go to yum.log

2006-01-12 01:32  skvidal

	* yum/__init__.py: 
	- fix for rh bug 177528 - don't call the repos callback if there
	are no repos defined.  - jeremy, look at this and see if it breaks
	anything in pup or pirut

2006-01-12 01:03  skvidal

	* yum/: __init__.py, depsolve.py, sqlitesack.py: 
	- remove some code duplication - add sqlitesack searchALL parameter
	to do glob queries - massively speed up the searchPackageProvides()
	method.

2006-01-11 02:15  skvidal

	* yum/repos.py: 
	allow repos to be specified with commas to --enablerepo and
	--disablerepo, partial application of tim lauridsen's patch.

2006-01-11 02:14  skvidal

	* yum/depsolve.py: 
	make whatProvides a little less chatty if it doesn't need to be

2006-01-08 18:58  skvidal

	* ChangeLog: 
	changelog update

2006-01-08 18:57  skvidal

	* yum.spec, yum/__init__.py: 
	2.5.1 mark

2006-01-04 22:45  katzj

	* yum/comps.py: bye bye debug print

2006-01-04 20:32  katzj

	* yum/: __init__.py, comps.py: * fix determination of package
	groups being installed to not require all the	default packages to
	be there, just the mandatory * add support for reverting a
	groupRemove (ie, a groupUnremove)

2006-01-04 20:31  katzj

	* yum/depsolve.py: make Depsolve an object

2006-01-04 20:30  katzj

	* yum/packages.py: make YumInstalledPackage a subclass of
	YumAvailablePackage so that we can count on having the same methods
	available in both

2005-12-22 11:07  skvidal

	* yum/update_md.py: 
	- first checkin of update_md.py for update notice parsing - note -
	this is not used anywhere, yet

2005-12-21 11:01  pnasrat

	* yum/transactioninfo.py: Make txmbr hashable

2005-12-20 14:14  pmatilai

	* docs/yum.8: - document "clean metadata" operation - document that
	all yum operations use the active repository configuration,  
	including clean

2005-12-20 03:13  skvidal

	* yum/config.py: 
	fix for rh bug: 175505 needed installroot and distroverpkg options
	in YumConf, too.  maybe key inheritance isn't working quite as it
	should?

2005-12-19 11:06  skvidal

	* yum/config.py: 
	- fix throttle config parsing problem - add kernel-devel to
	exactarchlist

2005-12-19 01:16  skvidal

	* cli.py: 
	fix for rh bug 175791, don't post 'download size needed if there's
	nothing being installed/updated and therefore nothing to be
	downloaded.

2005-12-16 23:02  katzj

	* yum/__init__.py: provide callback feedback in reposetup.  this is
	especially important for UI code

2005-12-16 11:44  pnasrat

	* yum/packages.py: fix KeyError when no base in location

2005-12-15 13:50  katzj

	* yum/config.py: inherit the repo being enabled from the base
	config per seth's request :)

2005-12-14 16:17  katzj

	* yum/: config.py, repos.py: better fix for the mirror problem. 
	ensure we set the value if it doesn't exist in the repo object. 
	also, default enabled/groupsenabled to 0 in the repo since we'll
	override if the config says one.
	
	RepoConf and Repository really do need to be merged...

2005-12-14 14:12  katzj

	* yum/: config.py, repos.py: only set options which have a value. 
	add more defaults.  fixes mirrorlists (and other stuff) getting
	overwritten (#175436)

2005-12-14 13:25  katzj

	* yum/depsolve.py: better fix for #175647 -- find the package
	object once and allow it to be either installed or from the sacks. 
	tested with a) yum update libgcj on a system where updating gcj
	would break deps b) yum update gnome-vfs2 where there are things
	depending on gnome-vfs2 c) yum remove gnome-vfs2
	
	The only case I didn't check was the obsoletes case, but it looks
	like the right thing should happen

2005-12-13 22:55  katzj

	* yum/depsolve.py: fix traceback with an installed package
	requiring something that's no longer in any repos (#175647)

2005-12-13 03:45  skvidal

	* cli.py: 
	1. get rid of unnecessary print_short_help method on our optparser
	object	  - just use print_usage 2. fix silly 'None' Output in
	usage as reported by Luke.

2005-12-13 02:45  skvidal

	* ChangeLog: 
	check in changelog

2005-12-13 02:35  skvidal

	* cli.py, shell.py: 
	- make shell not traceback when user doesn't close a quoted string
	- exit with a fatal error if running from file-based yum-shell
	script, though.  - add a shortened usage() output if calling from
	the shell as the --options won't help a someone in the shell.

2005-12-13 01:51  skvidal

	* cli.py, yum/__init__.py: 
	make groupremove work reduce some code duplication in groupRemove()
	and remove()

2005-12-13 01:31  skvidal

	* cli.py, yum/__init__.py: 
	groupupdate is now just the same function as groupinstall - so make
	the command continue to work but remove the unecessary code.

2005-12-13 01:16  skvidal

	* cli.py, yum/__init__.py, yum/repos.py: 
	make yum groupinstall work again remove unnecessary recreation of
	comps object

2005-12-12 13:19  skvidal

	* docs/yum.8: 
	make the man page reference be more useful

2005-12-10 19:38  katzj

	* yum/: __init__.py, comps.py: * fix a few typos in the group code
	* parse the order as an integer instead of a boolean * default
	groups without an order to be a high number instead of 0 (so they  
	end up shown later)

2005-12-10 19:13  katzj

	* yum/transactioninfo.py: typo fix

2005-12-09 12:05  skvidal

	* yum/__init__.py: 
	add log output when update() is called w/o any options

2005-12-09 10:31  skvidal

	* cli.py, yum/__init__.py, yum/comps.py: 
	many changes to comps. Cleans up the interface quite a bit.

2005-12-08 18:24  katzj

	* yum/config.py: suport the old option setting API too

2005-12-08 18:19  katzj

	* yum/config.py: fix for gratutious config API breakage

2005-12-08 16:50  pnasrat

	* yum/: mdparser.py, packages.py, sqlitecache.py, sqlitesack.py:
	Add location base/url to sqlite cache

2005-12-08 03:33  skvidal

	* yum/: depsolve.py, transactioninfo.py: 
	depsolve.py:   - new api for txmbr.setAsDep()	- fix minor
	indentation item   - label some fixmes and potential improvements

2005-12-08 03:00  skvidal

	* output.py, yum/transactioninfo.py: 
	- store relationships in the transaction members a bit more sanely
	- still supporting the older style (relatedto) style for now - make
	it work in output.py

2005-12-07 11:51  skvidal

	* yum/: __init__.py, constants.py: add TS_INSTALL_STATES and
	TS_REMOVE STATES into constants use them in deselectGroup()

2005-12-07 11:49  skvidal

	* yum/__init__.py: whoops

2005-12-07 11:45  skvidal

	* yum/__init__.py: 
	oops

2005-12-07 11:45  skvidal

	* yum/__init__.py: 
	make deselectGroup just look through the tsInfo rather than
	traversing the pkgsack for no apparent reason

2005-12-07 01:13  skvidal

	* yum/__init__.py: 
	make sure deselectGroup() removes all the packages it added,
	including multilib

2005-12-06 15:22  skvidal

	* yum/: __init__.py, packages.py: 
	- make install check if the package is already installed - add rel
	and ver attributes to all the PackageObjects for convenience.

2005-12-03 12:12  skvidal

	* output.py, yum/__init__.py, yum/misc.py: 
	kill off sortPkgObj() from __init__ remove excludeNonCompatArch as
	it was trivial and useless

2005-12-03 03:28  skvidal

	* cli.py, yum/__init__.py: 
	change minor mechanism in cli.py for installs until I can spend
	some time better integrating the new methods

2005-12-03 03:27  skvidal

	* yummain.py: 
	fix for rh bug: 174669 set locale to C if our locale assertion
	fails.

2005-12-03 02:15  skvidal

	* cli.py, docs/yum.conf.5, yum/__init__.py, yum/config.py: 
	- decrease default metadata_expire value from 8 hours to 30 minutes
	- make yum clean metadata remove the cachecookie - make yum
	makecache zero out the value of the metadata_expire so running	 it
	will force cache updating

2005-12-02 15:39  katzj

	* yum/plugins.py: fix up for new config API

2005-11-23 06:21  mjs

	* yum/parser.py: - Added support for URL style includes. Not
	perfect but good enough for now.  - Documentation

2005-11-21 01:17  skvidal

	* yum/__init__.py: 
	log output from remove()

2005-11-21 01:16  skvidal

	* yum/: Errors.py, __init__.py: 
	clean up some duplicated code initial stab at YumBase.remove()

2005-11-21 00:10  skvidal

	* yum/__init__.py: 
	pass updates off to update() from install() if that's where they
	should be

2005-11-20 22:58  skvidal

	* yum/__init__.py: use isObsoleted in other places

2005-11-20 21:25  skvidal

	* yum/: __init__.py, transactioninfo.py: 
	do ts check for the updatable package already being obsoleted

2005-11-20 04:15  skvidal

	* rpmUtils/updates.py: more or less get yum.YumBase.update()
	working add updating_dict to updates

2005-11-20 04:15  skvidal

	* yum/__init__.py: [no log message]

2005-11-19 17:09  skvidal

	* cli.py, yum/Errors.py, yum/__init__.py: 
	- move localPackages out of YumBaseCli and into YumBase - fix a
	minor bug in install() - start on update() but not finished for the
	specific-package case

2005-11-15 22:04  skvidal

	* yum/depsolve.py: 
	ts.check() can be None - don't unique if it is - bug #520 - thanks
	to dgregor

2005-11-13 06:02  skvidal

	* cli.py, yum/__init__.py, yum/packages.py: 
	- doGenericSetup() takes a cache argument so it can be used by
	non-root users - remove several duplicate functions from
	packages.py - make install() handle multilib correctly

2005-11-08 05:39  mjs

	* yum/sqlitesack.py: Use correct db column names in new
	searchNevra()

2005-11-08 05:29  mjs

	* yum/config.py: Added UrlOption and UrlListOption and used where
	appropriate.

2005-11-08 01:33  skvidal

	* yum/__init__.py: 
	fixme's notes for install()

2005-11-07 03:23  skvidal

	* yum/: Errors.py, __init__.py: 
	- fix YumBase.install() method - still room for more work, though -
	make YumBase.selectGroup() and deselectGroup() work more correctly
	- implement a YumBase.doGenericSetup() method to simplify
	testing/setup

2005-11-07 01:55  skvidal

	* yum/: __init__.py, sqlitesack.py: 
	- initial implementation of yum.install() - make sqlitesack's
	searchNevra() ignore args that are None - works more like the
	repomd searchNevra()

2005-11-07 01:00  skvidal

	* docs/: yum.8, yum.conf.5: 
	duplicate entry for yum.repos.d in man page close bug #507

2005-11-07 00:10  skvidal

	* yum/: __init__.py, depsolve.py: 
	fix for rh bugzilla 172510

2005-11-06 16:59  skvidal

	* yum/repos.py: 
	make the cookie check, you know, work.

2005-11-06 16:47  skvidal

	* docs/yum.conf.5, yum/config.py, yum/repos.py: 
	implement checking for a repomd.xml cookie to allow us to fetch it
	less often

2005-11-02 17:22  skvidal

	* bin/yum.py: 
	add link to the faq, not post to the list

2005-10-28 01:47  skvidal

	* yum/__init__.py: 
	fix silly newcomps reference

2005-10-28 00:20  skvidal

	* yum/: __init__.py, comps.py: 
	removed groups.py, move newcomps.py to comps.py and remove old
	comps.py

2005-10-27 01:34  skvidal

	* yum/transactioninfo.py: 
	when removing the package from the transaction set, make sure you
	unset the state attribute.

2005-10-27 01:32  skvidal

	* yum/: packages.py, transactioninfo.py: 
	add state attribute to package objects and update this info in the
	tsInfo

2005-10-25 11:42  skvidal

	* cli.py, output.py: 
	fix up groupinfo command

2005-10-25 11:08  skvidal

	* yum/__init__.py: 
	reset comps compiled when you close the rpmdb

2005-10-25 11:07  skvidal

	* cli.py, yum/__init__.py: 
	make grouplist work.

2005-10-25 08:28  mjs

	* cli.py, shell.py, yum/__init__.py, yum/config.py, yum/parser.py,
	yum/plugins.py, yum/repos.py: Major overhaul of configuration file
	handling.

2005-10-24 12:01  katzj

	* yum/sqlitesack.py: returnNewest* needs to return all arches of
	equal "newness"

2005-10-23 12:03  pnasrat

	* rpmUtils/arch.py: correct basearch for ppc64pseries/iseries

2005-10-23 00:47  mjs

	* docs/yum.conf.5: Fixed small typo

2005-10-21 11:53  pnasrat

	* docs/yum.conf.5: remove archwork reference

2005-10-18 01:27  skvidal

	* yum/__init__.py: 
	stubs for install(), update() and erase() methods for YumBase class

2005-10-18 01:06  skvidal

	* yum/__init__.py: 
	new selectGroup and deselectGroup methods for handling groups fix
	up doGroupSetup to work with the new group interface

2005-10-11 17:11  pnasrat

	* yum/parser.py: Make includeddir parser work

2005-10-11 16:29  pnasrat

	* yum/parser.py: fix typo

2005-10-11 11:34  pnasrat

	* yum/parser.py: New configuration parser routines

2005-10-07 01:44  skvidal

	* yum/config.py: 
	getting rid of the tuples - back to simple attributes. This should
	be headed in the direction to merge with what Menno and Paul have
	been doing.

2005-10-04 15:00  pnasrat

	* callback.py: import constants

2005-10-04 14:48  pnasrat

	* yum/constants.py: output uses a dict anyway - simplify

2005-10-04 14:43  pnasrat

	* callback.py, cli.py, yum/config.py, yum/constants.py,
	yum/depsolve.py, yum/transactioninfo.py: Move to use constants for
	transaction states

2005-09-22 11:08  katzj

	* yum/transactioninfo.py: fix typo

2005-09-21 13:33  katzj

	* yum/: depsolve.py, sqlitesack.py: returnByName* methods are
	expected to return a list.  make sure we do so (and deal with it
	being done) consistently.  (rh bug#168712)

2005-09-16 18:03  katzj

	* yum/transactioninfo.py: need to be able to remove a package from
	the transaction for package exclusion in kickstart

2005-09-16 18:02  katzj

	* yum/sqlitesack.py: implement returnNewestByName for the sqlite
	backend.  speeds up group selection in anaconda by about 2 minutes
	:-)

2005-09-15 11:52  pnasrat

	* yum/config.py: fix typo in YumBaseClass

2005-09-15 11:45  pnasrat

	* yum/config.py: fix class declaration

2005-09-03 08:18  skvidal

	* yum/config.py: 
	start of new YumBaseConfig - not even remotely finished

2005-08-14 18:39  skvidal

	* yum.spec, yum/__init__.py: 
	remove yum-daily b/c we never use it rebrand as 2.5.0 - devel
	series

2005-08-14 18:06  skvidal

	* ChangeLog: 
	changelog for 2.4.0

2005-08-14 17:33  skvidal

	* ChangeLog, yum.spec, yum/__init__.py: 
	update changelog mark as 2.4.0 in __init__.py and spec files

2005-08-08 11:45  pmatilai

	* yum/misc.py: Allow misc.GenericHolder class to be accessed like a
	dictionary.

2005-08-08 10:57  skvidal

	* shell.py, yum/repos.py: 
	return consistent results from findRepos

2005-08-07 13:28  skvidal

	* yum/__init__.py: 
	make  grouplist stop presenting duplicate groupnames

2005-08-05 02:34  skvidal

	* yum.spec: 
	add plugins to docs

2005-08-05 02:32  skvidal

	* callback.py: 
	'fix' for bug 481

2005-08-05 01:56  skvidal

	* bin/yum.py: 
	check in Hans-Peter Jansen's patch to help make the error output
	when a needed module is missing a bit easier.

2005-08-05 01:46  skvidal

	* README, yum.spec: 
	README: point to webpage and wiki add libxml2-python req back into
	spec file

2005-08-05 01:41  skvidal

	* shell.py, docs/Makefile, docs/yum-shell.8, docs/yum.8: shell.py:
	support shell-like quoting of arguments - especially useful for    
	      group names docs/yum-shell.8: document the yum shell
	docs/yum.8: point to the yum shell docs docs/Makefile: install the
	yum-shell man page.

2005-07-28 02:53  skvidal

	* yum/: __init__.py, repos.py: 
	if caching is enabled and the package in the cache is
	damaged/incomplete/corrupted. Make sure we exit out rather than
	trying to install/update the package anyway. Closes rh bug: 164394
	need to backport to  2.2.X

2005-07-24 19:53  skvidal

	* docs/yum.8: 
	add hidden option for grouplist

2005-07-22 12:09  skvidal

	* yum/repos.py: 
	clean up error string - bug #488

2005-07-16 22:09  mjs

	* yum/plugins.py: - SLOT_TO_CONDUIT to clarify slot to conduit
	class mapping - added and extended documentation

2005-07-14 04:32  skvidal

	* cli.py: 
	obscure "broken depstring" case in remove by provides

2005-07-14 04:28  skvidal

	* cli.py, yum/__init__.py: 
	allow remove option to handle virtual provides, versioned provides,
	file-deps, etc, like install can deal with.

2005-07-13 06:29  pmatilai

	* yum/__init__.py: Fix TypeError traceback in
	yum.getPackageObject() when package not found.	CVSr
	----------------------------------------------------------------------

2005-07-09 18:57  slack

	* yum/depsolve.py: Beginings of support for kernel-module style
	packages as described on fedora-packaging.  This patch attempts to
	figure out if any kernel-module package should be removed when a
	new one is installed.  This works by making sure there is only one
	kernel-module-foo package that requires kernel-A = VR.
	
	Some other kernel-module package work is forth coming.

2005-07-08 01:52  skvidal

	* ChangeLog: 
	update changelog

2005-07-08 01:20  skvidal

	* yum.spec, yum/__init__.py: 
	mark as 2.3.4

2005-07-08 01:07  skvidal

	* docs/yum.8: 
	document 'list recent' and 'deplist'

2005-07-03 20:50  skvidal

	* Makefile: 
	add *.bak to clean removal

2005-07-02 04:33  skvidal

	* yum/__init__.py: 
	fix the 'perl(foo::bar::baz)' searching provides bug.

2005-07-01 16:40  skvidal

	* yum/config.py: 
	<sigh> fix proxy check if proxy is None

2005-07-01 09:05  skvidal

	* yum/config.py: 
	make the proxy checking patch actually work.

2005-07-01 08:56  skvidal

	* yum/config.py: 
	check if the proxy is anything sensible

2005-06-30 01:58  skvidal

	* cli.py, shell.py: 
	- make yum shell not exit when failing to enable/disable a repo -
	fix an unneccesary sys.exit() in doRepoSetup()

2005-06-28 14:24  skvidal

	* yum/__init__.py: 
	when you're sorting a package Sack it is best if you've put
	packages into it. la la la

2005-06-27 08:24  mjs

	* cli.py: Correct my grammar

2005-06-27 08:23  mjs

	* cli.py: Cleanup and clarification of _filtercmdline()

2005-06-27 03:04  skvidal

	* yum/repos.py: 
	remove extras types, cleanup rogue ,

2005-06-27 02:57  skvidal

	* yum/repos.py: 
	if repomd.xml is mangled, try another mirror for unmangled one.
	This deals, correctly with horribly broken http servers that
	redirect a 404 error to an error page and issue a 200 *Thwack*

2005-06-27 02:34  skvidal

	* callback.py, docs/yum.conf.5, yum/depsolve.py: 
	- check in Christopher Weis's patch to enable repackaging support
	in yum - modify the patch to ouput progress bars and semi-sensible
	output for the rpm callback

2005-06-26 23:19  skvidal

	* cli.py: make -d0 and -e0 work again.

2005-06-23 01:09  skvidal

	* docs/: yum.8, yum.conf.5: 
	- misc updates to the man pages - merge terje rosten's patch for
	the new nevra package specification

2005-06-23 01:01  skvidal

	* docs/yum.conf.5: 
	remove rss-filename

2005-06-23 00:54  skvidal

	* yum/misc.py: 
	make tmpdir be an option to pass into getCacheDir()

2005-06-23 00:11  skvidal

	* yum/__init__.py: 
	change out returnPackageByDep() to use returnPackagesByDep() and
	bestPackageFromList() rather than duplicating a lot of simple code

2005-06-22 00:27  skvidal

	* yum/config.py: 
	Check in terje rosten's patch to config.py to handle reposdir as a
	list, not a string

2005-06-21 14:25  pmatilai

	* yum/packages.py: Add support for name-epoch:version-release.arch
	naming convention to parsePackages()

2005-06-21 08:22  mjs

	* yum/: __init__.py, plugins.py: Renamed the plugin "typefilter"
	argument to just "types" (sorry, couldn't stand it)

2005-06-20 00:19  skvidal

	* rpmUtils/__init__.py: 
	make the header-by-index check work properly on older versions of
	rpm

2005-06-19 20:10  skvidal

	* yum/: config.py, repos.py: 
	get rid of defineDirs() method integrate it into dirSetup()

2005-06-19 10:42  skvidal

	* yum/__init__.py: 
	add os.path.normcase() for lockfile to fix rh bug: 160928

2005-06-19 02:33  skvidal

	* yum/: config.py, depsolve.py, repos.py: 
	needed a space there, I dunno

2005-06-19 02:32  skvidal

	* rpmUtils/__init__.py: 
	- make the use-indexes-to-retrieve-hdrs mechanism work.  - this
	makes a big speed up for yum remove calls when using rpm >= 4.4.1

2005-06-16 08:23  mjs

	* docs/yum.conf.5, yum/__init__.py, yum/config.py, yum/repos.py:
	Added http_caching option to provide control over http caching
	headers.  This addresses bug #412

2005-06-15 07:49  mjs

	* cli.py, docs/yum.conf.5, yum/__init__.py, yum/config.py: Support
	for multple GPG keys per repo.

2005-06-14 18:58  skvidal

	* ChangeLog: 
	changelog update from 2.3.3

2005-06-14 18:39  skvidal

	* yum.spec, yum/__init__.py: 
	- minor change to use constants - mark as 2.3.3

2005-06-14 11:21  skvidal

	* yum/__init__.py: 
	resolve rh bug: 160328

2005-06-12 22:09  skvidal

	* output.py: cleanup userconfirm()

2005-06-09 17:44  mjs

	* output.py: Applied Terje's locale workaround.

2005-06-07 09:47  mjs

	* yum/plugins.py: - base PluginYumExit on Exception instead of
	YumBaseError so that it can be	 handled separately - Updated TODO

2005-06-07 09:46  mjs

	* yummain.py: - refactored to avoid code duplication and clarify -
	specialised handling for PluginYumExit exceptions - fixed exception
	catching typo

2005-06-07 07:34  mjs

	* yum/: __init__.py, plugins.py: Plugin type support:	  - plugins
	can specify what type they are via the plugin_type attribute	 -
	the type(s) of plugin to load can be specified when calling	 
	doPluginSetup() Updated plugin TODO.

2005-06-04 01:13  skvidal

	* bin/yum.py: rather funny little patch

2005-06-03 17:21  skvidal

	* output.py: check in terje rosten's patch for making timestamp in
	log be consistently C locale.

2005-06-03 16:10  skvidal

	* yum/config.py: 
	fix for bug 464

2005-06-02 11:33  pmatilai

	* yum/: __init__.py, plugins.py: Add preresolve and postresolve
	slots to plugin interface, bump up plugin api version.

2005-05-30 01:49  skvidal

	* cli.py: 
	make update, install, erase commands case sensitive rather than
	insensitive.  yum install G* should not catch all g* and G*, just
	G*

2005-05-29 02:14  skvidal

	* cli.py, output.py, shell.py, yum/__init__.py, yum/depsolve.py: 
	deplist function from Chip Turner: yum deplist pkgglob returns a
	list of package deps and the packages that satisfy those deps

2005-05-24 10:53  katzj

	* yum/: config.py, depsolve.py: installonlypkgs should be matched
	against provides also instead of just the explicit list of kernel,
	kernel-modules. fixes the kernel-*-devel problem  (#155988)

2005-05-23 15:22  katzj

	* rpmUtils/arch.py: fix typo noticed by Terje Rosten
	<terje.rosten@ntnu.no>

2005-05-23 10:54  katzj

	* rpmUtils/arch.py: add support for alpha arches from Balint
	Cristian (#158550)

2005-05-19 23:10  skvidal

	* output.py: 
	remove the truncation from the output

2005-05-10 14:21  katzj

	* yum/config.py: revert last change -- I fixed the kernel-*-devel
	to provide kernel-devel

2005-05-09 23:54  skvidal

	* yum/config.py: 
	kernel-smp-devel to installonly list

2005-05-09 22:18  katzj

	* ChangeLog, rpmUtils/arch.py: 2005-05-09  Jeremy Katz 
	<katzj@redhat.com>
	
		* rpmUtils/arch.py (getBaseArch): ppc64 and sparc64 are odd
	in
		that you want a mostly ppc and sparc userland respectively.
	 make
		$basearch realize that.

2005-05-09 20:57  skvidal

	* shell.py: 
	make sure you solve before you run (whoops) thanks to pjones for
	the fix

2005-05-07 23:05  mjs

	* cli.py, docs/yum.8, yum/__init__.py, yum/plugins.py: Added
	--noplugins command line option.

2005-05-07 00:24  mjs

	* yum/plugins.py: Allow plugins direct access to RepoStorage
	instance rather than try and mimic it's API. This break backwards
	compat. API_VERSION is now 2.0.

2005-05-07 00:23  mjs

	* yum/repos.py: RepoStorage.__str__() wasn't returning a string!

2005-05-05 06:35  mjs

	* cli.py, yummain.py, yum/__init__.py, yum/plugins.py: - Converted
	command line option parsing from getopt to optparse module - Allow
	plugins to modify command line options and query parsed command
	line

2005-04-25 05:39  gijs

	* rpmUtils/__init__.py: Fixed an inconsistency between rpm and yum,
	allow unversioned provides to fulfill versioned requires.

2005-04-21 17:58  mjs

	* yum/plugins.py: Fixed subtle problem that meant config slot check
	was not working in Python 2.2.	Updated TODO items.

2005-04-19 00:23  mjs

	* docs/: yum.8, yum.conf.5: End user documentation for plugins.

2005-04-15 00:02  mjs

	* yum/: __init__.py, plugins.py: Panu's patch for prereposetup and
	postreposetup slots.  Increased major API version number as the
	above breaks backward compat.  Added getRpmDB() and
	getPackageByNevra()

2005-04-13 23:26  skvidal

	* yum/__init__.py: 
	obvious typo on exception raising

2005-04-13 10:21  gijs

	* cli.py, docs/yum.8: Updated yum.8 manpage and added missing
	commands to the --help output of cli.py.

2005-04-06 23:58  skvidal

	* yum.spec: 
	elementtree dep

2005-04-05 02:13  skvidal

	* yum/__init__.py: 
	fix for rh bug: 153127

2005-04-04 14:16  skvidal

	* yum.spec: typo in spec file

2005-04-04 14:13  skvidal

	* ChangeLog, yum.spec, yum/__init__.py: 
	mark as 2.3.2

2005-04-04 10:31  skvidal

	* rpmUtils/tests/updates-test.py: 
	add some items to the updates-test. Mostly to check out multiple,
	lesser, updating pkgs.

2005-03-30 07:55  mjs

	* yum/plugins.py: - implemented predownload and postdownload slots
	- documented bugzilla entries that should be do-able as plugins -
	added GPL header - updated TODOs - added a little more
	documentation

2005-03-30 07:52  mjs

	* yum/__init__.py: Added predownload and postdownload plugin hooks.

2005-03-30 06:00  mjs

	* docs/yum.conf.5: Documented plugin related options.

2005-03-29 10:55  skvidal

	* shell.py: catch traceback on ts solve errors

2005-03-29 09:19  skvidal

	* output.py: 
	check in a few more modifications to the ts list

2005-03-28 10:52  skvidal

	* yum/comps.py: 
	remove the python 2.2 shebang

2005-03-28 09:38  skvidal

	* output.py, yum/transactioninfo.py: 
	cleanup transaction listing.

2005-03-28 02:49  skvidal

	* yum.spec: 
	modify spec file for yum-daily.yum file

2005-03-28 02:42  skvidal

	* output.py, yum/transactioninfo.py: 
	make listTransaction() output similar to michael favia's design at:
	http://michael.insitesinc.com/mediawiki/index.php?title=Yum slight
	modification to transactionInfo obsoleted pkg data to do that.

2005-03-28 01:30  skvidal

	* etc/Makefile: 
	- add yum-daily.yum - make yum.cron use it for the daily cron job -
	modify the Makefile to know about it

2005-03-27 22:43  skvidal

	* shell.py: 
	when specifying a comma-separated-list for exclude, replace the
	commas with spaces for split() to work on.

2005-03-27 22:34  skvidal

	* shell.py: 
	display off by one in repo list

2005-03-27 22:28  skvidal

	* shell.py: 
	fix some typos in the repos help output

2005-03-27 22:21  skvidal

	* cli.py, shell.py, yum/__init__.py: 
	config exclude implemented when you exit a ts run w/o actually
	finishing the transaction, don't reset the tsInfo class clean up
	the help output in the shell.

2005-03-27 19:08  skvidal

	* shell.py: 
	implement some config options that involve the least amount of pain

2005-03-27 17:30  skvidal

	* shell.py: 
	add some limited config settings in the shell. More to go.

2005-03-27 17:01  skvidal

	* yum/: config.py, constants.py: add BOOLEAN_STATES to constants,
	use it in config.py

2005-03-27 16:53  skvidal

	* yum/config.py: 
	remove pkgpolicy option - it is unused, anyway.

2005-03-27 16:22  skvidal

	* yum/__init__.py: 
	fix for a small problem in searchPackages()

2005-03-27 06:51  mjs

	* cli.py, yum/__init__.py, yum/config.py, yum/plugins.py: More
	plugin related updates:     - rearranged plugin initialisation:    
	    - YumBase.doPluginSetup() now exists and must be called to
	initialise	     plugins.	       - Yum's config and command
	line args are now parsed before plugins are	       initialised.
	This fixes the problems with the debug level being	     
	ignored for early plugin related output.	  - refactored the
	plugin config registration stuff so its handled 	   outside
	of config.py (much cleaner).	      - because yum config is
	parsed before plugin initialisation, a separate 	  
	plugin.conf is no longer required. Moved plugin settings to [main]
	of	      yum.conf.      - cleaned up YumPlugins.run() (return
	code not used anymore)	    - fixed up the levels on some plugin
	related log output

2005-03-27 04:22  skvidal

	* cli.py, shell.py: 
	modify order of args for cli.doRepoSetup() make todo list in
	shell.py

2005-03-27 04:13  skvidal

	* shell.py: 
	change semantic for repos commands in shell, add in list
	functionality:
	
	yum shell:    repos list - lists repositories and their states	 
	repos enable <repolist> - enables a list of repositories (space    
				 separated)    repos disable <repolisT> -
	disables a list of repositories (space				   
	 separated)

2005-03-27 03:46  skvidal

	* cli.py, output.py, shell.py, yummain.py, yum/__init__.py,
	yum/repos.py: 
	add 'enablerepo' and 'disablerepo' commands to yum shell.   -
	modified doRepoSetup() to take a thisrepo setup argument so we can
	setup	  one repo at a time   - modified the
	RepoStorage.populateSack() so that the repos list is checked	 if
	it is repoids or repo objects and used correctly   - We might want
	to think about a YumBase.reset() function that resets the    
	internal state of the object.
	
	- cleaned up some garbage comments and white space in yummain.py
	and cli.py

2005-03-27 02:58  mjs

	* cli.py, yum/__init__.py, yum/plugins.py: - modified doRepoSetup
	so that cli.py calls YumBase to do most of the work.	This makes
	the code cleaner (less duplication) and means the call for the	 
	reposetup plugin hook is only in one place.  - added call reposetup
	plugin hook

2005-03-27 02:31  mjs

	* cli.py, yum/__init__.py, yum/plugins.py: Moved __version__ to
	yum/__init__.py Added getYumVersion() to PluginConduit

2005-03-26 23:42  skvidal

	* rpmUtils/transaction.py: 
	remove old TransactionData class

2005-03-26 22:21  mjs

	* yum/: __init__.py, config.py, constants.py, plugins.py: Lots of
	plugin related changes:     - API versioning	 - cleaned up API
	somewhat     - hook methods now need a "_hook" suffix. This will
	allow detection of	 plugins that are trying to register hooks
	that aren't supported.	    - plugin hook method return codes are
	now ignored. Plugins should now use	   PluginYumExit exception
	if yum should terminate.      - started reposetup hook	    -
	custom option conflict detection      - renamed
	PLUG_OPT_WHERE_GLOBAL to PLUG_OPT_WHERE_MAIN

2005-03-26 13:28  skvidal

	* yum/config.py: 
	exactarchlist put through the  variableReplace/listmaker routines

2005-03-26 12:40  skvidal

	* rpmUtils/updates.py: 
	check in Adam Greenfield's patch for yum bug #410

2005-03-26 11:38  skvidal

	* rpmUtils/: updates.py, tests/updates-test.py: 
	
	make exactarch not used exactarchlist is used, If the pkg name
	exists in this list then it will not be allowed to change archs. If
	it does not exist in this list then it will be allowed to change
	archs in an update.

2005-03-26 07:15  mjs

	* yum/comps.py: Converted from libxml2 to cElementTree.  General
	cleanup and style enhancements.

2005-03-26 05:21  mjs

	* yum/config.py: Fixed missing brackets.

2005-03-26 02:54  skvidal

	* cli.py, yum/__init__.py, yum/config.py, yum/depsolve.py: 
	make exactarch not used exactarchlist is used, If the pkg name
	exists in this list then it will not be allowed to change archs. If
	it does not exist in this list then it will be allowed to change
	archs in an update.

2005-03-25 10:13  skvidal

	* yum/config.py: 
	missing , in a list

2005-03-25 05:17  skvidal

	* yum/config.py: 
	minor changes in config.py  - make reposdir variableReplaced for
	$vars  - make a couple of items that were uselessly tuples into
	lists

2005-03-25 04:47  mjs

	* yum/plugins.py: Plugins now have a general config file at
	/etc/yum/plugins.conf.	Each plugin also has a config file at
	/etc/yum/pluginconf.d/<pluginname>.conf.  Added methods to
	PluginConduit to allow retrieval of plugin specific options.

2005-03-25 04:42  mjs

	* docs/yum.conf.5, yum/__init__.py, yum/config.py: The "reposdir"
	option now takes a list of directories to search for .repo files.
	The default is /etc/yum/repos.d and /etc/yum.repos.d.

2005-03-25 04:14  skvidal

	* yum/__init__.py: 
	copyright date change

2005-03-24 03:14  skvidal

	* cli.py, yum/__init__.py: 
	move the plugins call outside of cli.py and into the yum module.

2005-03-24 02:29  skvidal

	* yum/sqlitesack.py: 
	fix for rh bug: 151950

2005-03-21 07:37  mjs

	* cli.py, yum/__init__.py, yum/config.py, yum/constants.py,
	yum/plugins.py: Initial yum plugin work.

2005-03-21 06:49  mjs

	* yum/pgpmsg.py: Updated pgpmsg to latest upstream version to fix
	problems parsing some keys (eg. current ATrpms key).
	
	(This is NOT related to other recently reported pgpmsg issue:	 
	http://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=426)

2005-03-18 08:47  skvidal

	* yum/: repos.py, sqlitesack.py: 
	make sqliteSack.getPrco only search for the requested prco type, If
	none specified it searches for all.  modify yum/repos.py to allow
	for unsetting sqlite backend db selection.

2005-03-15 15:02  gijs

	* yum/sqlitesack.py: Fixed another typo in changelog related
	queries

2005-03-15 14:59  gijs

	* yum/sqlitesack.py: Fixed two typos in sql queries (spotted by
	Hans-Peter Jansen).

2005-03-15 12:05  gijs

	* yum/sqlitesack.py: Explicitly name columns when doing selects
	from multiple tables. This should fix sqlite 3.1 issues while
	remaining compatible with sqlite 3.0 and older.

2005-03-15 02:43  skvidal

	* cli.py, output.py, yum/config.py: 
	purge generate-rss and all of its reqs

2005-03-15 02:33  skvidal

	* yum/__init__.py: 
	make the lock file dir, if it is not present

2005-03-14 01:26  skvidal

	* yum/__init__.py: 
	make yum lock file aware of the installroot - no need for a global
	lock

2005-03-13 04:24  skvidal

	* yum/: packages.py, sqlitecache.py: 
	add a requiresList method to YumAvailablePackage to make it match
	YumInstalledPackage. Fix up a case where sqlitecache would
	traceback if the db file was not writable and we wanted to delete
	it.

2005-03-12 17:13  skvidal

	* yum/constants.py: 
	add constants.py - generic constants so we don't have to do so many
	string comparisons for storing types of things. This isn't used
	anywhere yet.

2005-03-12 15:10  skvidal

	* rpmUtils/updates.py: 
	setup an 'obsoleted' dict for easy look up of what packages
	obsolete an installed package

2005-03-12 02:24  skvidal

	* output.py, yum/__init__.py, yum/depsolve.py: 
	- clean up some dumb code laste night - make obsoletes easier to
	search - tidy up some code in depsolver - make obsoletes print out
	in the transaction list again

2005-03-11 04:08  skvidal

	* rpmUtils/updates.py: 
	packageSack - packagesByTuple(pkgtup) updates - getObsoletedList()

2005-03-11 04:00  skvidal

	* yum/: __init__.py, depsolve.py: 
	in the event we can't find a resolving package, look for obsoletes
	(as well as updates) of the requiring package to get out of the
	unresolveable dep.

2005-03-10 22:17  skvidal

	* cli.py, docs/yum.conf.5, yum/config.py: 
	merge in the "turn off the confirm in 'expected' situations" patch
	from Matt Miller

2005-03-10 17:44  gijs

	* yum/sqlitesack.py: Make getPrco return epoch version and release
	in the correct order.

2005-03-10 09:56  gijs

	* yum/sqlitesack.py: Apply a patch by Panu Matilainen, fixing
	getPrco returning empty sets and a bug triggered by files that have
	no dirname (such specs in as SRPMS).

2005-03-10 01:45  skvidal

	* yum/transactioninfo.py: 
	add an __iter__ method to the TransactionData class

2005-03-09 11:03  gijs

	* yum/: sqlitecache.py, sqlitesack.py: - store filetypes as one
	char instead of as a / seperated string - move functions for
	encoding and decoding lists of filenames / filetypes   to seperate
	helper functions.  - update TODOs

2005-03-09 03:14  skvidal

	* yum/: config.py, repos.py: 
	made the replacement variables in the config file ($releasever,
	$basearch, $arch, $YUM0-$YUM9) apply to almost all of the options
	equally. Cleaned up a fair bit of code and muddied some other code

2005-03-09 01:36  skvidal

	* yum/config.py: 
	variableReplace() over gpgkey option

2005-03-08 05:41  gijs

	* yum/repos.py: Enable wildcards to be used for enabling and
	disabling repositories.  Based on a patch by Terrel Shumway.

2005-03-08 04:22  skvidal

	* yum/: mdparser.py, sqlitecache.py: 
	check in Icon's cElementTree patches and unicode patches to sqlite
	backend.

2005-03-08 04:17  skvidal

	* cli.py: 
	move callback return to better location - spews less crap
	pre-final-transaction

2005-03-08 03:54  skvidal

	* yum/sqlitesack.py: 
	merge Panu's searchPrco method for sqlitesack.py

2005-03-07 11:20  skvidal

	* ChangeLog: 
	update changelog

2005-03-07 10:50  skvidal

	* cli.py, yum.spec: 
	modify version numbers change specs a little bit

2005-03-07 02:43  skvidal

	* cli.py: 
	tidy up 'clean' output for use in shell

2005-03-07 02:08  skvidal

	* shell.py: 
	refined language a bit:
	
	normal commands from yum cli special shell commands: run - same as
	'ts run' transaction (aliased to 'ts' as well)	       run - run
	transaction	    solve - dep solve transaction	  list -
	list transaction	 reset - reset transaction quit exit

2005-03-07 02:01  skvidal

	* cli.py, shell.py, yum/__init__.py, yum/repos.py: 
	permit multiple shell transactions in one run.

2005-03-07 01:27  skvidal

	* yum/: config.py, repos.py: 
	fix for bug 407 delete some commented code in config.py

2005-03-06 12:39  skvidal

	* shell.py, yum/__init__.py: 
	some shell updates and made it possible to reset the state of the
	rpmdb and transaction set that yum has available.

2005-03-06 04:51  skvidal

	* cli.py: 
	left out a variable in the dbcache cleanup changes - fixed

2005-03-04 13:29  skvidal

	* yummain.py, yum/__init__.py, yum/sqlitesack.py: 
	- made excludeArches in repomd pkgsack and sqlite pkgsack.  - makes
	more sense to be in that class - sql select is a bit faster than
	iterating all the packages and comparing

2005-03-04 03:39  skvidal

	* output.py, yum/__init__.py, yum/depsolve.py: 
	- clean up some misc items in the depsolver - remove two completely
	redundant if statements - add dep relationship information for
	erasure deps to txmbr - fix printing of removal deps in transaction
	listing

2005-03-03 07:14  gijs

	* yum/sqlitesack.py: Applied a patch by Panu Matilainen that allows
	queries on raw prco data.

2005-03-03 02:49  skvidal

	* yum/transactioninfo.py: 
	update TODOS on transactioninfo

2005-03-03 02:45  skvidal

	* yum/: depsolve.py, transactioninfo.py: 
	clean up the txmbr stuff to use package objects internally.  need
	to also use them for the transaction-set relationship information

2005-03-03 02:44  skvidal

	* yum/__init__.py: 
	pychecker found some rather dumb, and apparently infrequently
	encountered problems.

2005-03-02 17:18  mjs

	* cli.py, output.py, yum/repos.py, yum/sqlitecache.py: Enhanced
	callback for reporting cache update progress (no more prints in
	sqlite code).

2005-03-02 15:07  gijs

	* yum/: repos.py, sqlitecache.py, sqlitesack.py: - No longer
	subclass RepodataParserSqlite from mdcache.  - Report repo id while
	caching - Update TODOs

2005-03-02 11:55  gijs

	* yum/sqlitesack.py: Dont list providing packages if they are
	excluded.

2005-03-02 11:51  gijs

	* yum/: __init__.py, sqlitesack.py: Perform yum whatprovides
	queries that are not regular expressions by using database queries
	instead of iterating over all packages.

2005-03-02 09:28  gijs

	* yum/sqlitesack.py: sqlitesack should not be printing anything,
	remove 2 old debug messages.

2005-03-02 09:24  gijs

	* yum/: sqlitecache.py, sqlitesack.py: Using / as a database
	seperator for a list of files now. Cleaned up this stuff by using
	python's split and join instead of our own code.

2005-03-02 07:03  gijs

	* output.py, yum/sqlitesack.py: Fixes in Changelog handling code,
	mostly contributed by Panu Matilainen.

2005-03-02 05:43  mjs

	* yum/: mdparser.py, sqlitecache.py, sqlitesack.py: Added missing
	GPL headers to newly added files.

2005-03-02 03:31  skvidal

	* bin/yum.py: 
	update to yum.py from Terrel Shumway - makes nicer output message
	if the yum module doesn't exist.

2005-03-02 02:27  skvidal

	* cli.py, docs/yum.8, yum/__init__.py: 
	clean dbcache option for removing sqlite caches.  updated docs

2005-03-02 01:36  skvidal

	* cli.py: 
	remove duplicate call in install function

2005-03-02 01:19  skvidal

	* cli.py, yum/__init__.py: 
	make yum install "foo > 1.1" work, along with all other virtual
	provides.  fixed a couple of bugs in the returnPackageByDep cleaned
	up some useless string output

2005-03-01 23:31  skvidal

	* cli.py, yum/depsolve.py: 
	file:// repos work again. By collapsing and remaking the po we lose
	localpath which is used if we have file:// repos. Whoops. :)

2005-03-01 09:08  skvidal

	* etc/Makefile: 
	patch from terje rosten for me being a dumbass

2005-03-01 07:53  mjs

	* yum/sqlitecache.py: Added missing "rpm_packager" column mapping
	to PackageToDBAdapter . This, combined with BaseEntry.__getitem__()
	behaviour (fixed) was causing packagers to be cached as None,
	causing "yum search" to fail.

2005-03-01 07:45  mjs

	* yum/mdparser.py: Entry __getitem__() no longer returns None for
	unknown values. This was hiding bugs when the entry parameters were
	being accessed with the wrong name.
	
	'pkgid' parameter now called 'pkgId' to suit database.

2005-02-27 17:34  gijs

	* yum/sqlitesack.py: Fixing a bug in the sqlite exclude code that
	can lead to tracebacks

2005-02-26 18:49  skvidal

	* yum/__init__.py: 
	make exclusion of non-compat archs work for sqlite as well

2005-02-26 08:15  gijs

	* yum/: sqlitecache.py, sqlitesack.py: Implemented exclude support
	for sqlite.  Some minor fixes to the sqlite files inspired by
	pychecker.

2005-02-26 04:11  skvidal

	* cli.py, yum/misc.py: 
	make the gpgkey importer check the rpmdb in the installroot if
	specified.

2005-02-25 14:30  gijs

	* output.py, yum.spec, yum/__init__.py, yum/mdparser.py,
	yum/repos.py, yum/sqlitecache.py, yum/sqlitesack.py: Adding the
	sqlite stuff to yum HEAD.  Note that currently package excludes are
	non-functional and there are a number of outstanding TODOs.

2005-02-25 02:46  skvidal

	* Makefile, rpmUtils/Makefile, yum/Makefile: 
	PYTHON override in makefiles - make it complete fixes:
	http://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=403 thanks to
	bill nottingham

2005-02-25 02:17  skvidal

	* yum.spec, etc/Makefile: 
	yum.cron.weekly to clean out old packages

2005-02-24 06:05  gijs

	* AUTHORS: Fixed a typo in my name in AUTHORS

2005-02-24 03:25  skvidal

	* AUTHORS, callback.py, cli.py, output.py, progress_meter.py,
	shell.py, yummain.py: 
	Add Menno, Gijs and Terje to Authors file update copyright years in
	code touched this year

2005-02-24 02:44  skvidal

	* yum/: misc.py, pgpmsg.py: 
	merged Menno's patch to the pgp/gpg functions

2005-02-24 02:14  skvidal

	* Makefile: 
	removed urlgrabber modified Makefile to remove urlgrabber

2005-02-23 13:22  skvidal

	* rpmUtils/transaction.py: 
	don't turn off nosignatures/nodigests, turn it on. Should do the
	right thing on rpm 4.4.1 now

2005-02-23 01:56  skvidal

	* shell.py: 
	add a depsolve and listTransaction command into the shell mostly a
	proof-of-concept.

2005-02-21 10:46  skvidal

	* yum/repos.py: 
	duplicate repository traceback fix

2005-02-21 01:38  skvidal

	* ChangeLog: 
	updated changelog

2005-02-21 00:15  skvidal

	* yum.spec: 
	updated spec file for versin changes - 2.3.0

2005-02-19 17:28  skvidal

	* yum/repos.py: 
	proxy fixes

2005-02-19 17:27  skvidal

	* docs/yum.conf.5: 
	updated docs for proxy options that are now implemented

2005-02-17 02:16  skvidal

	* yum/: config.py, repos.py: 
	allow undefining proxies in repo sections use _none_ to disable
	proxy for a repo.  abstract out the repos classes from the config
	class

2005-02-14 01:00  skvidal

	* callback.py, cli.py, yum/__init__.py, yum/depsolve.py,
	yum/packages.py, yum/transactioninfo.py: 
	- added in Terje's new patch for the rpm callback - setup some
	background for some items in transactioninfo.py - specifically
	storing the package object in the transaction member object.  -
	made pkgtup an attribute of every package object rather than a
	callable method.

2005-02-11 04:10  skvidal

	* cli.py, yum/__init__.py, yum/config.py, yum/repos.py: 
	rearranged repository configuration. Instead of repos being an
	attribute of the config class it is now split out as a base
	attribute from the YumBase object. This gives us better separation
	from the configParser format and let's us do newer things with
	resetting information in repositories

2005-02-11 02:04  skvidal

	* cli.py: 
	fix for localupdate/localinstall where it could not update b/c of
	arch change on localPackage. Also fix two related bugs: 1.
	unnecessary searching of filelists when the local package cannot be
	   installed 2. error in output string for localupdate output -
	surprised no one has seen    that one yet
	
	merge to HEAD

2005-02-11 01:45  skvidal

	* yum/depsolve.py: 
	fix for: https://bugzilla.redhat.com/beta/show_bug.cgi?id=147275
	merge to HEAD

2005-02-10 02:58  skvidal

	* callback.py: 
	checked in Terje's callback progress changes to HEAD

2005-02-05 15:42  skvidal

	* yum/repos.py: 
	get rid of bogus print statement in repo class

2005-02-03 03:23  skvidal

	* yum/depsolve.py: 
	fix for case where it keeps picking the wrong package to solve for
	in a list of two possible cases.
	
	This whole problem will go away when we stop 'GUESSING' which arch
	on a multilib has the requirement.

2005-02-01 18:35  skvidal

	* cli.py, shell.py: 
	implement yum shell filename - patch from Terje Rosten.
	
	now you can do:
	
	#!/usr/bin/yum shell install foo bar baz remove quux update dor run
	
	and have it do those all in one transaction.

2005-02-01 12:19  skvidal

	* cli.py: 
	remove crap

2005-02-01 02:48  skvidal

	* cli.py, shell.py: 
	split shell out into separate class using cmd.Cmd cleaned up cruft
	in cli from shell

2005-01-31 23:54  skvidal

	* docs/yum.conf.5: 
	add yum.conf man page entries for tsflags

2005-01-31 23:51  skvidal

	* cli.py, rpmUtils/transaction.py, yum/__init__.py, yum/config.py,
	yum/depsolve.py: 
	add in tsflags config option. Allows you to set certain transaction
	flags for use for your runs. Enabled flags are:
	
	noscripts notriggers nodocs test
	
	default is no tsflags.

2005-01-31 03:32  skvidal

	* cli.py, yummain.py, yum/__init__.py: 
	Very early implementation of a yum shell.  For most very simple
	cases it appears to work.  It doesn't look very pretty, though.

2005-01-31 00:28  skvidal

	* cli.py: 
	crack resulting from this weekends 'resolvedep'
	
	for all the apt addicts who seem to think this command matters: yum
	install /some/path/to/some/file
	
	it will search the provide files for a match and install the
	package providing that.
	
	it doesn't work for updates it doesn't work for erases don't ask.

2005-01-30 14:05  skvidal

	* yum/transactioninfo.py: 
	fix for not alphabetizing pre-trans and post-trans pkg listings

2005-01-30 13:57  skvidal

	* yum/__init__.py: 
	minor fix in how the 'best package' is selected
	(craaaaaaaaaaaaaack)

2005-01-30 13:22  skvidal

	* yum/__init__.py: 
	finish out dep search for versioned deps

2005-01-30 13:12  skvidal

	* cli.py, yum/__init__.py, yum/depsolve.py, yum/repos.py: 
	check in resolvedeps function not quite complete but most of the
	way there and cleaned up a bug that might show up in dep resolution

2005-01-25 01:59  skvidal

	* ChangeLog: 
	updated changelog

2005-01-25 01:58  skvidal

	* cli.py, yum.spec: 
	updated versions to 2.1.13

2005-01-25 00:56  skvidal

	* Makefile: 
	fix up to Makefiles - patch by Paul Howarth

2005-01-24 00:30  skvidal

	* yum/config.py: 
	add kernel-devel to installonlypkgs in config.py for those zany
	kernel people

2005-01-24 00:18  skvidal

	* output.py: 
	small changes to download total size output patches (mostly to make
	them be quiet)

2005-01-24 00:13  skvidal

	* cli.py, output.py: 
	included Gijs' patch to output total download amount before
	confirming w/user

2005-01-20 21:25  skvidal

	* docs/yum.8: 
	added url to webpage in manpage

2005-01-20 01:59  skvidal

	* yum/: __init__.py, packages.py, repos.py: 
	regets are enabled now. It looks like it should be handling
	everything nicely, we'll see how well it works :) regets are
	disabled for header downloads, though, due to the byte-range gets.

2005-01-20 01:18  skvidal

	* yum/repos.py: 
	- fixing up proxy info - enabling regets makes all things fall
	over.

2005-01-19 02:11  skvidal

	* yum/depsolve.py: 
	more correct solution for aforementioned problem

2005-01-19 01:50  skvidal

	* yum/depsolve.py: 
	slight output log adjustment

2005-01-19 01:48  skvidal

	* yum/depsolve.py: 
	potential fix for problem of yum trying to install older versions
	of things

2005-01-18 01:07  skvidal

	* cli.py: 
	cli.py - correct some typos and change a log level for some debug
	output packageSack.py - apply Gijs' patch to reduce search size.

2005-01-16 05:25  skvidal

	* cli.py, yum/__init__.py, yum/repos.py: 
	few more clean ups to baseurl parsing from repos.py

2005-01-16 04:50  skvidal

	* yum/misc.py: 
	minor fix in gpgkeyinfo for garbage keys

2005-01-16 04:42  skvidal

	* yum/repos.py: 
	fix for not doing a replacement variable call on baseurls

2005-01-16 04:36  skvidal

	* cli.py, docs/yum.conf.5, yum/misc.py, yum/pgpmsg.py: 
	check in Menno's gpg key import enhancement and yum.conf man page
	updates.

2005-01-15 11:32  skvidal

	* cli.py, yum/__init__.py, yum/config.py, yum/repos.py: 
	make sure mirrorlists are not downloaded and parsed until repo is
	explicitly enabled in repoSetup() or by repo.enable() or
	repo.baseurlSetup()

2005-01-15 01:22  skvidal

	* cli.py: 
	fixed up gpgcheck warning message if no keys in light of gpgkey
	info

2005-01-15 00:22  skvidal

	* cli.py, rpmUtils/__init__.py: 
	StopIteration added for empty rpmdb queries fixed yum -c option to
	allow: url config files again and fix installroot specification.
	
	if installroot is specified then it will look for the config file
	in the installroot path. If it can't find one there it defaults to
	the normal / path.

2005-01-14 13:31  skvidal

	* cli.py, output.py, yum/__init__.py, yum/repos.py: 
	merge terje's yum-ui patch to add a package download counter and
	add a text information to repomd grabbing.

2005-01-14 11:31  skvidal

	* output.py: 
	added repository to transaction confirmation listing.

2005-01-14 11:16  skvidal

	* yum/: depsolve.py, transactioninfo.py: 
	Mark packages with Provides: kernel as kernels - and therefore only
	install them

2005-01-14 10:57  skvidal

	* yum/depsolve.py: don't resolve deps for packages we're removing
	resolve deps ON packages we're removing, but not FOR it.  closes
	bug #386

2005-01-10 23:07  skvidal

	* AUTHORS: 
	Added Menno Smits to AUTHORS file

2005-01-10 22:52  skvidal

	* cli.py, yum/__init__.py, yum/config.py, yum/misc.py,
	yum/pgpmsg.py: 
	changes for menno's pgp key importing routines - thanks to Menno
	Smits

2005-01-09 22:37  skvidal

	* docs/yum.8: 
	remove some ambiguity in the man page: close bug #144613

2005-01-07 08:45  skvidal

	* yummain.py: 
	fix for bug 382

2005-01-06 00:31  skvidal

	* callback.py: 
	fix for case in callback where package is obsoleting and updated
	(grr)

2005-01-04 01:33  skvidal

	* yum/transactioninfo.py: 
	don't add duplicates to the transaction info, no point.

2004-12-21 02:43  skvidal

	* rpmUtils/miscutils.py: 
	apparently I needed more space in yum/groups.py :) fix for garbage
	strings in epoch field in stringToVersion()

2004-12-14 02:24  skvidal

	* cli.py, output.py, yum/__init__.py: 
	allow groups to take group.id's too not just group.names.

2004-12-05 23:11  skvidal

	* docs/yum.conf.5: 
	proper yum.conf - thanks to Menno Smits

2004-12-05 17:18  skvidal

	* rpmUtils/__init__.py: 
	all the hdr pulling does so by using the hdr index in the rpmdb -
	big speed up for removes and updates

2004-12-05 04:31  skvidal

	* callback.py, cli.py, output.py, yum/__init__.py, yum/depsolve.py,
	yum/packages.py, yum/transactioninfo.py: 
	much of transactioninfo is implemented god does some of this need
	to be cleaned up, again.
	
	and why, just for fun, don't I make EVERYTHING take and return
	package objects?

2004-12-02 03:35  skvidal

	* cli.py, yum/__init__.py, yum/transactioninfo.py: 
	- modified __init__.py to use transactioninfo - made most of the
	transactioninfo changes for cli - need to fix	updates uses of it
	- modified getMember in transactioninfo.TransactionData to return
	all   if none specified.

2004-11-30 01:56  skvidal

	* yum/transactioninfo.py: 
	typo fix in matchNaevr()

2004-11-30 01:54  skvidal

	* yum/repos.py: 
	cleaned up the config.py yum.conf output defaults

2004-11-27 10:13  skvidal

	* ChangeLog: 
	changelog edits

2004-11-27 10:12  skvidal

	* cli.py, yum.spec: 
	update misc files to yum 2.1.12

2004-11-27 10:08  skvidal

	* yum/__init__.py: 
	typo in #! line

2004-11-25 18:20  skvidal

	* cli.py: 
	yum clean output fix - bug: 140872

2004-11-25 15:00  skvidal

	* cli.py, yum/config.py, yum/depsolve.py: 
	fixes for installroot with logfiles and paths to repo.d dir fix for
	bug 281 at atrpms fix for bug 140832

2004-11-24 11:32  skvidal

	* cli.py, yum/config.py: 
	prelim fixes for logfile and chroot paths

2004-11-24 11:16  skvidal

	* bin/yum.py: 
	try to catch keyboard interrupt earlier

2004-11-24 10:22  skvidal

	* docs/yum.conf.5, yum/config.py: 
	check in throttle and bandwidth config option patch from Menno
	Smits check in yum.conf.5 man page update from Menno Smits

2004-11-24 09:12  skvidal

	* cli.py: 
	remove --download-only option so it doesn't pass through the
	options check

2004-11-19 02:14  skvidal

	* cli.py: 
	minor change in logging level for post-transaction output.

2004-11-19 02:01  skvidal

	* callback.py: 
	minor logic change in patch for output in cron job.

2004-11-17 09:02  skvidal

	* callback.py, cli.py: 
	fix for outputting in cron job to cron emails - whoops fix for
	moving output when not on a tty.

2004-11-12 02:57  skvidal

	* yum/: __init__.py, repos.py: 
	make it more reasonable to import yum as a module instead of
	running it directly.

2004-11-12 01:13  skvidal

	* yum/transactioninfo.py: 
	some nice, purty methods for the transactioninfo. Still not
	complete but getting closer

2004-11-09 03:43  skvidal

	* cli.py: 
	fix for generate-rss bug with 'recent' not specified

2004-11-09 02:13  skvidal

	* rpmUtils/miscutils.py, yum/depsolve.py: 
	check in patch to make output look prettier and more accurate for
	unresolveable dep

2004-11-09 00:35  skvidal

	* yum/depsolve.py: 
	traceback when both packages of conflict in the ts.

2004-11-05 03:59  skvidal

	* yum/transactioninfo.py: 
	more detail on what I need to do

2004-11-03 08:12  skvidal

	* cli.py: 
	fix for log file being executable - rh bug #137963

2004-10-31 11:36  skvidal

	* cli.py, yum/depsolve.py: 
	fix for two different bugs: 1. yum install foo.i386 on an x86_64
	machine 2. yum remove foo where two different packages require
	something from foo

2004-10-30 23:29  skvidal

	* rpmUtils/arch.py: 
	fix for noarch pkg installs.

2004-10-29 03:08  skvidal

	* cli.py, output.py, yum/__init__.py: 
	implement yum list obsoletes which outputs a nicer layout for
	obsoletes

2004-10-29 02:20  skvidal

	* cli.py, rpmUtils/__init__.py, yum/__init__.py: 
	- implement yum update /path/to/file.rpm - fix yum module so it
	won't import the rpmdb more than once

2004-10-28 18:13  skvidal

	* rpmUtils/updates.py: 
	remove debug print output

2004-10-28 17:34  skvidal

	* rpmUtils/updates.py: 
	I'm beginning to hate ia32e

2004-10-28 15:52  skvidal

	* rpmUtils/arch.py: 
	one more ia32e fix - this code needs a testunit, badly.

2004-10-28 15:39  skvidal

	* rpmUtils/updates.py: 
	fix for ia32e on updates

2004-10-28 14:20  skvidal

	* rpmUtils/arch.py: 
	fix ia32e and iseries to be picked up as multilib arches.

2004-10-28 00:17  skvidal

	* cli.py: 
	Package is spelled with 2 As

2004-10-28 00:00  skvidal

	* ChangeLog: 
	Changelog updates

2004-10-27 23:50  skvidal

	* cli.py, yum.spec: 
	version number changes

2004-10-27 23:39  skvidal

	* docs/yum.conf.5: 
	doc updates for includepkgs

2004-10-27 23:29  skvidal

	* yum/: __init__.py, depsolve.py: 
	make some of the error messages from the depsolver a little more
	verbose/clear

2004-10-27 23:28  skvidal

	* cli.py: 
	fix traceback when group specified to update or remove does not
	exist

2004-10-27 23:25  skvidal

	* etc/Makefile: 
	Fix cron job perms

2004-10-25 12:27  skvidal

	* yum/depsolve.py: 
	update out of conflict implemented - fixes bug 347

2004-10-25 01:15  skvidal

	* yum/transactioninfo.py: 
	minor doc changes to transactioninfo.py - need to finish fleshing
	out these classes

2004-10-23 08:40  skvidal

	* yum/transactioninfo.py: 
	make an unused file compile

2004-10-22 23:16  skvidal

	* cli.py: 
	output transaction info for confirmation from user when in
	debuglevel 1

2004-10-22 23:07  skvidal

	* yummain.py, yum/config.py: 
	fix for bug 344

2004-10-22 02:51  skvidal

	* yum/__init__.py: 
	implemented includepkgs for repositories

2004-10-21 01:39  skvidal

	* yum/config.py: 
	allow for #'s in mirrorlists as comments deal with blank lines more
	gracefully in mirrorlists

2004-10-21 01:20  skvidal

	* docs/yum.8: 
	remove --downloadonly option, for now

2004-10-21 00:52  skvidal

	* rpmUtils/__init__.py: 
	fix for erasure dep problem in bug 340

2004-10-19 11:28  skvidal

	* ChangeLog: 
	Check in the Changelog

2004-10-19 11:20  skvidal

	* docs/yum.conf.5: more yum.conf updates

2004-10-19 10:52  skvidal

	* docs/yum.conf.5: yum.conf update for gpgcheck

2004-10-19 10:09  skvidal

	* cli.py, yum.spec, yum/__init__.py: 
	fixed problem if one repo had a broken groups file it would take
	out the whole process.

2004-10-19 09:44  skvidal

	* yum/repos.py: minor pychecker catches

2004-10-19 09:38  skvidal

	* yum/config.py: 
	minor pychecker fix

2004-10-19 09:26  skvidal

	* docs/yum.8: 
	update man page

2004-10-19 01:34  skvidal

	* cli.py, output.py, yummain.py: 
	handle failurereport properly Fix for: 136178

2004-10-19 01:33  skvidal

	* yum/: config.py, repos.py: 
	now --disablerepo and --enablerepo work as you'd more or less
	expect them to work

2004-10-18 09:04  skvidal

	* ChangeLog: 
	Changelog for the moron-release

2004-10-18 09:02  skvidal

	* cli.py, yum.spec: 
	look, I'm an idiot, and I left a local devel path in the binary
	2.1.9 iteration

2004-10-18 08:58  skvidal

	* bin/yum.py: 
	damn it.

2004-10-18 01:11  skvidal

	* ChangeLog: 
	Changelog checkin

2004-10-18 01:08  skvidal

	* cli.py, yum.spec: 
	update version number to 2.1.8

2004-10-18 01:05  skvidal

	* yum/__init__.py: 
	modified file name for gpgkeycheck caching

2004-10-18 01:00  skvidal

	* yum/__init__.py: 
	sort groups for grouplist

2004-10-18 00:42  skvidal

	* cli.py, yum/__init__.py: 
	misc fixed pychecker found

2004-10-18 00:30  skvidal

	* cli.py, yum/__init__.py: add in a function that will check if the
	user has any gpg public keys installed in the rpmdb if the user has
	gpgcheck=1 set anywhere.  If the user has it set and does not have
	any gpg keys installed it will error out and report a sensible
	message about how to solve it.
	
	If they do have keys installed it will save a file in cachedir so
	it won't have to make the check again.	It's not intended to be a
	serious measure to stop abuse, but it will catch 90% of the people
	who have enabled gpgchecking w/o importing any keys

2004-10-17 17:14  skvidal

	* cli.py, output.py, rpmUtils/transaction.py: 
	implemented post-transaction report output - just a short format of
	what happened

2004-10-17 05:02  skvidal

	* cli.py, yum/__init__.py: 
	add clean metadata and clean cache functions remove garbage print
	output from makecache

2004-10-17 04:21  skvidal

	* cli.py: stray period

2004-10-17 04:19  skvidal

	* yum/config.py: 
	minor string change for config error message

2004-10-17 04:13  skvidal

	* callback.py, cli.py, output.py: 
	few more callback clean ups tidy up some output in different debug
	levels

2004-10-17 03:59  skvidal

	* cli.py: 
	fix for install with localrpm package via 'install' not
	'localinstall'

2004-10-17 03:55  skvidal

	* callback.py, cli.py, output.py, rpmUtils/transaction.py: 
	filelog functional

2004-10-16 20:16  skvidal

	* cli.py, output.py, yum/__init__.py, yum/depsolve.py: 
	lots of output changes to make the output and callbacks prettier

2004-10-16 16:40  skvidal

	* Makefile: modify makefile for transition from yum.sh -> yum.py in
	bin/

2004-10-16 16:39  skvidal

	* bin/yum.py: 
	removing shell script which caused pain, adding python script that
	removes pain

2004-10-16 16:12  skvidal

	* cli.py, yummain.py, yum/__init__.py: 
	Check in Fix for duke bug #323

2004-10-15 02:50  skvidal

	* cli.py, yum/__init__.py, yum/depsolve.py, yum/packages.py,
	yum/repos.py: 
	implement a local package install mechanism
	
	you can now do: yum localinstall /path/to/a/file.rpm
	
	and it will install or update it depending on what should be done
	to it.	you can also do: yum install /path/to/a/file.rpm
	some_package_from_a_repo
	
	and it will 'do the right thing'
	
	However, you will pay the performance penalty of importing the
	repository metadata if you do it w/install

2004-10-14 23:51  skvidal

	* rpmUtils/oldUtils.py: 
	fix for i18n import that doesn't exist

2004-10-14 01:33  skvidal

	* cli.py, yummain.py, yum/__init__.py, yum/repos.py: 
	- make yum makecache just a little light - though clearly something
	is wrong with the garbage collection
	
	- change a few debug outputs

2004-10-13 02:20  skvidal

	* cli.py: 
	fix up usage()

2004-10-13 02:03  skvidal

	* ChangeLog: Check in Changelog

2004-10-13 02:02  skvidal

	* cli.py, yum.spec: 
	update version strings

2004-10-13 02:01  skvidal

	* docs/yum.8: 
	modifications to the yum man page

2004-10-13 01:59  skvidal

	* docs/yum.8: 
	checked in Gijs Hollestelle's updated yum man page Thanks!

2004-10-13 01:57  skvidal

	* Makefile: 
	move yum-arch and yum.sh into bin/ dir

2004-10-13 01:36  skvidal

	* Makefile, yum.spec, docs/Makefile, rpmUtils/__init__.py,
	rpmUtils/oldUtils.py: 
	merge in yum-arch

2004-10-13 01:16  skvidal

	* yum/: __init__.py, config.py, repos.py: 
	added in new urlgrabber implemented timeout and fixed up changes
	for new urlgrabber checkfunc api

2004-10-11 00:01  skvidal

	* cli.py, rpmUtils/__init__.py: 
	implemented groupupdate and groupremove

2004-10-10 22:56  skvidal

	* cli.py, rpmUtils/arch.py, yum/packages.py: 
	fix situation with kernels of lesser archs getting installed on
	calls to install when they should really be 'update' calls.

2004-10-09 14:20  skvidal

	* cli.py, output.py: 
	yum generate-rss updates option added

2004-10-08 02:20  skvidal

	* cli.py: 
	clean up debug wording

2004-10-08 02:19  skvidal

	* cli.py: 
	partial implementation of groupinstall - need to clean up the yum
	install kernel problem w/older non-bestarch kernels

2004-10-08 01:51  skvidal

	* cli.py, output.py: implemented groupinfo

2004-10-08 01:36  skvidal

	* cli.py, output.py, yum/__init__.py, yum/repos.py: fix grouplist
	for nonroot users added yum makecache to setup all the metadata
	cache pickles.

2004-10-08 01:10  skvidal

	* cli.py, output.py, yum/__init__.py: 
	grouplist now works correctly - takes one argument 'hidden'

2004-10-06 22:57  skvidal

	* ChangeLog: 
	changelog update

2004-10-06 22:56  skvidal

	* cli.py, yum.spec: 
	2.1.6

2004-10-06 22:25  skvidal

	* output.py, yum/__init__.py, yum/config.py, yum/packages.py: add
	showdupesfromrepos option to config - boolean if set then duplicate
	packages of different versions will be shown if unset then only the
	newest packages in a repository will be shown this only affects
	display it does not affect depresolution or other functions.
	
	defaults to 0

2004-10-06 21:58  skvidal

	* cli.py, yum/packages.py, yum/repos.py: 
	mdcache import working and fixed a bug where the repomd.xml would
	be downloaded twice and imported twice.

2004-10-06 02:40  skvidal

	* cli.py, yum/packages.py, yum/repos.py: 
	mdcache implemented.  Need to write yum clean mdcache

2004-10-05 10:43  skvidal

	* yum/packages.py: 
	fleshed out some of the PrimaryEntry object parsing

2004-10-05 03:49  skvidal

	* yum/: __init__.py, packages.py, repos.py: 
	incomplete modifications to incorporate icon's pickle handler for
	metadata caching

2004-10-04 02:42  skvidal

	* yum/__init__.py: 
	whoops - last minute fix

2004-10-04 02:32  skvidal

	* ChangeLog: update changelog for 2.1.5

2004-10-04 02:30  skvidal

	* cli.py, yum.spec: 
	update to 2.1.5

2004-10-04 02:27  skvidal

	* cli.py, output.py, yum/__init__.py: 
	made yum list recent be sane and sensible

2004-10-04 01:35  skvidal

	* yummain.py: 
	remove a bunch of unused imports

2004-10-04 01:26  skvidal

	* yummain.py: 
	uncommented something that should not have been commented

2004-10-04 01:20  skvidal

	* output.py, yummain.py, rpmUtils/updates.py, yum/__init__.py: 
	explicitly delete all transaction set objects in unlock() to make
	sure we free up any lockers. It boggles my mind why this isn't
	caught by another item but <shrug>

2004-10-02 21:11  skvidal

	* output.py, rpmUtils/__init__.py: 
	fix for lists being > 80chars deleted all match iterators I create,
	just in case

2004-10-01 02:15  skvidal

	* output.py, yum/__init__.py: 
	- Fix for Bug 324 - when in caching-only mode and the header is not
	available then it would traceback - fix for typo in yum info
	function.

2004-09-30 02:13  skvidal

	* cli.py, yum/__init__.py: 
	stubs for group functions in place cleaned up groupsetup so it's no
	longer importing metadata it doesn't, yet, need added a nosack
	option to doRepoSetup() so it will setup the repo dirs and get the
	repomd.xml but not download primary.xml.gz or import the metadata

2004-09-28 23:23  skvidal

	* ChangeLog: 
	updated changelog - call it 2.1.4

2004-09-28 19:14  skvidal

	* cli.py, yum.spec, etc/yum.conf: 
	- label things as 2.1.4 - make the config file less stupid

2004-09-28 18:52  skvidal

	* output.py, rpmUtils/__init__.py, yum/depsolve.py: 
	speed up erasure depresolution a little.  mi.pattern() is
	slooooooooow

2004-09-28 18:08  skvidal

	* yum/__init__.py: 
	----------------------------------------------------------------------
	finished yum provides - can be very slow on repomd search due to
	filelists

2004-09-28 03:07  skvidal

	* cli.py, yum/__init__.py, yum/packages.py: 
	partial implementation of provides/whatprovides need to search
	rpmdb, too.

2004-09-27 20:44  skvidal

	* cli.py: 
	hopeful fix for the ts errors tuple pain

2004-09-27 02:37  skvidal

	* cli.py, yummain.py, yum/__init__.py: 
	fix ctrl-c from users.	If you've imported the rpmdb first then
	ctrl-c signal is grabbed by rpm

2004-09-27 02:24  skvidal

	* cli.py: 
	fix for stupid sigcheck error result strings bug #319

2004-09-27 02:00  skvidal

	* cli.py, yum/__init__.py: 
	search rpmdb, too

2004-09-27 01:39  skvidal

	* cli.py, output.py, yummain.py, yum/__init__.py, yum/packages.py: 
	give search a callback for faster output added a KeyboardInterrupt
	exception to yummain to catch user ctrl-c'ing things

2004-09-26 17:12  skvidal

	* cli.py, yum/__init__.py: 
	check in search function

2004-09-26 11:34  skvidal

	* cli.py: 
	fix for bug #318 - correct when no option narrowing option
	specified to yum list

2004-09-24 02:53  skvidal

	* cli.py, output.py, yum/packages.py: new obsoletes/updates list
	output

2004-09-24 00:56  skvidal

	* cli.py, output.py, yum/depsolve.py: 
	implement a depsolve callback

2004-09-23 04:28  skvidal

	* cli.py, output.py, rpmUtils/transaction.py, yum/__init__.py: 
	potentional fix for rh bug# 133051 cleaned up list functions - a
	lot more generic now need to clean up obsoletes lists and refine
	recent metric.

2004-09-23 02:19  skvidal

	* cli.py, yum/repos.py: 
	- fix for bug #314, check download md against checksum

2004-09-21 03:25  skvidal

	* cli.py, yum/__init__.py: 
	partially completed abstraction of package list generation and
	display code.

2004-09-21 02:28  skvidal

	* yum/config.py: 
	fix for yum -c w/no file found

2004-09-21 01:43  skvidal

	* cli.py: 
	fix list bug in 'recent' changes

2004-09-21 01:36  skvidal

	* yum/: __init__.py, depsolve.py: 
	solve issue with up attribute not existing when needed.

2004-09-20 03:42  skvidal

	* cli.py, output.py, yum/__init__.py, yum/config.py, yum/misc.py: 
	- begin rework of list functions - stub of depsolve progress
	callback - GenericHolder object in yum/misc.py - Make config's show
	up as attributes when re-set - remove src files from default
	searches/lookups

2004-09-19 16:47  skvidal

	* cli.py, output.py, yum/__init__.py: 
	make output into a class (abstract, really) to be inherited from
	for the base yum class for the cli
	
	make rss generation include a link

2004-09-19 03:54  skvidal

	* output.py: 
	clean up rss generation so it is a lot nicer on memory for output
	from lots of packages.

2004-09-17 01:51  skvidal

	* rpmUtils/miscutils.py, yum/__init__.py, yum/depsolve.py,
	yum/packages.py: 
	after much pain header downloading and checking work nicely package
	downloading and checking work nicely.  especially cache
	verification

2004-09-08 02:10  skvidal

	* yum/depsolve.py: 
	make filelists.xml be imported from all repos if a file dep exists
	that does not match /etc/*, *bin/* or /usr/lib/sendmail.

2004-09-08 01:32  skvidal

	* yum/transactioninfo.py: 
	add transaction info class stubs - these will be used to store the
	transaction Info instead of the one from rpmUtils.

2004-09-08 01:03  skvidal

	* yum/depsolve.py: 
	put in stubs for depsolve callbacks

2004-09-08 00:47  skvidal

	* rpmUtils/miscutils.py, rpmUtils/updates.py, yum/__init__.py: 
	fixed traceback on bad pkg in sigcheck fixed problem with available
	file also being installed and obsoleting something that is
	installed, as well.  set debug mode on for updates parsing if
	debuglevel is > 5 in yum.

2004-09-07 02:02  skvidal

	* cli.py, yum/__init__.py: 
	make indexes be built after the package exclusions have occurred
	speeds up excludes tremendously.

2004-09-03 16:29  skvidal

	* ChangeLog, cli.py, yum.spec: 
	fix for reporting errors from transactions runs.  updated changelog
	updated spec file

2004-09-03 05:06  skvidal

	* ChangeLog, cli.py, yum/__init__.py, yum/depsolve.py,
	yum/packages.py: 
	Large number of depsolver changes and fixes. Should be much more
	correct.

2004-09-02 11:00  skvidal

	* ChangeLog, cli.py, yum.spec: 
	Couple more doc strings updated changelog brand this as 2.1.2 made
	isatty() work so outputting to a file doesn't show a bunch of
	garbage

2004-09-02 10:36  skvidal

	* cli.py, yum/__init__.py, yum/misc.py: 
	yum clean implemented added a few explanatory output strings

2004-09-02 02:07  skvidal

	* yum/depsolve.py: noticed I left out the gpl header

2004-09-02 02:06  skvidal

	* yum/depsolve.py: 
	probable fix for depresolution error - bug #290

2004-09-01 02:34  skvidal

	* cli.py: 
	iterate version and various clean ups in cli.py

2004-09-01 02:34  skvidal

	* Makefile, yum.spec: 
	- change base path to /usr/share/yum-cli for cli front end and to
	stop conflict with older yum .pyc files

2004-09-01 01:11  skvidal

	* cli.py, yum/Errors.py, yum/__init__.py, yum/repos.py: 
	many modifications to form the basis for the groups to start
	working again

2004-08-31 22:09  skvidal

	* yum/comps.py: 
	fix tab/space issue in comps.py move yumcomps.py to groups.py

2004-08-31 21:12  skvidal

	* cli.py, yummain.py: 
	fixed traceback on unimplemented command made yum check-update work
	There is room for much improvement here

2004-08-31 02:52  skvidal

	* INSTALL, README: 
	update install and readme

2004-08-31 02:50  skvidal

	* AUTHORS: 
	add some people more needed, I'm sure

2004-08-31 02:49  skvidal

	* ChangeLog: 
	updated Changelog

2004-08-31 02:46  skvidal

	* cli.py, yum.spec, yum/__init__.py: sigchecking is here

2004-08-31 01:30  skvidal

	* yum.spec: 
	iterate release, silly

2004-08-31 01:24  skvidal

	* yum.spec: 
	rm old .pyc files if they can be found in /usr/share/yum this to
	get rid of old cruft clogging up the works

2004-08-31 00:54  skvidal

	* Makefile, yum.spec, etc/Makefile, etc/yum.console, etc/yum.pam: 
	remove consolehelper dep from makefile remove consolehelper from
	makefile add yum.console and yum.pam files jeremy katz added to
	tree for consolehelper

2004-08-31 00:20  skvidal

	* Makefile, docs/Makefile, etc/Makefile, rpmUtils/Makefile,
	yum/Makefile: 
	Add Makefiles

2004-08-30 23:50  skvidal

	* yum.spec, yum/depsolve.py, yum/packages.py, yum/repos.py: moved
	metadata to repomd

2004-08-30 01:47  skvidal

	* yum/depsolve.py: 
	comment a little more

2004-08-30 01:44  skvidal

	* cli.py: 
	if you find something that could be an update, when doing installs,
	pass it off to update to make sure it is.

2004-08-30 01:35  skvidal

	* cli.py, yum/depsolve.py, yum/repos.py: 
	make caching mode/user mode work again - silly caches, tricks are
	for kids!

2004-08-30 01:13  skvidal

	* cli.py, rpmUtils/transaction.py, yum/packages.py: 
	update takes options now obsoletes should work better - a touch
	weird though.

2004-08-30 00:14  skvidal

	* output.py, yum/packages.py: fixup yum info

2004-08-29 23:47  skvidal

	* yum/repos.py: 
	remove some functions that don't really do anything

2004-08-29 23:43  skvidal

	* cli.py, output.py, yum/config.py, yum/depsolve.py: 
	--rss-filename= to output the rss to a file default writes to
	yum-rss.xml in cwd

2004-08-29 19:44  skvidal

	* cli.py, rpmUtils/miscutils.py, rpmUtils/transaction.py,
	yum/__init__.py, yum/config.py, yum/depsolve.py, yum/repos.py: 
	- installroot now works - fix depsolving for filedeps in certain
	situations - clean up cruft in all sorts of places

2004-08-29 04:05  skvidal

	* cli.py, rpmUtils/updates.py, yum/__init__.py: 
	--obsoletes working fixed extras

2004-08-28 13:24  skvidal

	* output.py, yum/__init__.py, yum/depsolve.py: 
	empty repository fix and clean up debug print's

2004-08-27 02:55  skvidal

	* cli.py, rpmUtils/miscutils.py, yum/depsolve.py, yum/packages.py: 
	- fix for erasure problem with multilib - added some extra debug
	information that will be handy later

2004-08-25 04:03  skvidal

	* rpmUtils/__init__.py, rpmUtils/miscutils.py, yum/depsolve.py: 
	erase resolves out non-pkg requirements for depsolving

2004-08-23 03:53  skvidal

	* cli.py, yum/depsolve.py, yum/repos.py: 
	fix file:// urls for installs

2004-08-23 02:59  skvidal

	* yum/__init__.py: 
	additional output/debugging strings

2004-08-23 02:58  skvidal

	* cli.py, yum/config.py: 
	- make a numrecent option in the yum.conf - refine the
	functionality of yum list recent (and hence generate-rss) a bit   -
	The concept of what 'recent' means will need to be refined
	considerably	 right now it's pretty	much a sort by file
	timestamp, not much more.      it really should be something more
	related to relative age to system      date. There is much room for
	refinement and anyone wishing to undertake	that refinement is
	quite welcome to do so. :)

2004-08-23 02:41  skvidal

	* cli.py: 
	add debugging output make yum list (w/o any package narrowing
	option) work

2004-08-23 01:09  skvidal

	* cli.py, rpmUtils/__init__.py, yum/packages.py: 
	whitespace fix in rpmUtils fix docstring in yum/packages.py

2004-08-23 01:08  skvidal

	* yum/: __init__.py, config.py: 
	- make excludes work - this might require some re-implementation as
	it currently removes the   packageobject from the pkgSack. This is
	fine, but it takes time to do this.
	
	A couple of options:  - simply make a list of excluded
	packageobjects and check that during	listing and depresolution
	(this is kinda icky b/c we end up doing lots of    checks
	throughout all of yum)	- delete the objects from the pkgsack and
	add them to an excluded sack so we    can query on them later.

2004-08-23 01:01  skvidal

	* yum/depsolve.py: 
	removed wrongly named and redundant method call

2004-08-22 16:35  skvidal

	* yum/depsolve.py: 
	removed old function stubs

2004-08-22 05:09  skvidal

	* output.py: 
	- added guid to each package item.  - more info to non-xhtml output
	- need to pass in repos object or figure another way to get   valid
	link locations for packages.

2004-08-22 03:59  rtomayko

	* output.py: Fixed a few generateRSS bugs: - ChangeLog entries
	don't have dates. Removed from format.	- Put a pre tag around
	changelog text in description. Readers that don't   understand
	xhtml:body were stripping linear whitespace.

2004-08-22 03:10  rtomayko

	* output.py: Fixed bad indent (some lines were 2 spaces)

2004-08-22 02:44  rtomayko

	* output.py: First crack at implementing generate-rss command. 
	I've been testing with:
	
	  python yummain.py -c yum.conf -d 0 generate-rss > yum.rss
	
	The generated file should be valid RSS 2.0. All required elements
	are present and there should be no chance of outputting ill-formed
	XML. Some other implementation notes of interest:
	
	  * Item title's are set to the package's n-e.v-r.a
	  * Item pubDate's are set to the package's buildtime.
	  * The content for an item is the package's summary, followed by
	    the description, followed by the changelog.
	  * The ChangeLog for a package contains only the last three
	entries.
	
	Some notes for the future:
	
	  * The entire RSS feed is being built up within a single libxml2
	    document. If we want to extend this to build arbitrarily large
	    feeds, we may need to output each item as we go instead of
	waiting
	    until the whole feed is built.
	
	  * Might be nice to add an output file argument for convienience
	(-d 0
	    and redirecting stdout is slightly annoying). Should just work.

2004-08-19 03:47  skvidal

	* callback.py, yum/repos.py: 
	fix caching code for pkg download bug in callback on erasures

2004-08-19 03:27  skvidal

	* yummain.py, rpmUtils/__init__.py, yum/depsolve.py,
	yum/packages.py: 
	still more dep resolution fixes and now erasures should be
	significantly faster

2004-08-19 02:55  skvidal

	* cli.py, yum/depsolve.py: 
	more dep fixes and a rather silly process ordering problem in
	doTransaction()

2004-08-19 02:30  skvidal

	* cli.py, rpmUtils/__init__.py, rpmUtils/transaction.py,
	yum/__init__.py, yum/depsolve.py: 
	more noise on output note to some functions in rpmUtils
	depresolution fixes

2004-08-18 03:36  skvidal

	* callback.py, cli.py, output.py, yummain.py, rpmUtils/__init__.py,
	rpmUtils/transaction.py, yum/__init__.py, yum/depsolve.py,
	yum/packages.py: 
	installations work erasures work - but some of the depresolution is
	wrong.	rpm callback needs to be cleaned up for output.

2004-08-14 04:33  skvidal

	* yum/: __init__.py, depsolve.py: 
	speed up the depsolver a bit

2004-08-13 05:07  skvidal

	* cli.py, output.py, yummain.py, yum/__init__.py, yum/depsolve.py,
	yum/repos.py: 
	- cleaned up the failover on download - added intelligence to the
	depsolver for multiple equal deps - much more needed, though.  -
	added an addPkg() method to ListPackageSack Class

2004-08-12 03:35  skvidal

	* cli.py, yum/repos.py: 
	fix up the failure callback merge in newest urlgrabber + a fix

2004-08-12 03:07  skvidal

	* cli.py, rpmUtils/__init__.py, yum/packages.py: 
	fix how the available, update and install lists are handled as
	package objects

2004-08-11 03:46  skvidal

	* cli.py, output.py, yum/config.py, yum/repos.py: 
	move around the cache and callback setup fix a typo in
	packageSack.py - thanks to first, not so functioning, try at the
	failover callback

2004-08-11 03:09  skvidal

	* cli.py, yum/config.py, yum/repos.py: 
	download callback is working now.

2004-08-10 02:51  skvidal

	* cli.py, yum/config.py, yum/repos.py: 
	cleaned up how 'cache' is handled for all repos and config

2004-08-09 03:39  skvidal

	* cli.py, yum/__init__.py, yum/misc.py, yum/repos.py: 
	merge in latest urlgrabber fix up checksum routine (hahhah) make
	downloads work at all

2004-08-06 02:15  skvidal

	* yum/: Errors.py, __init__.py, misc.py, repos.py: 
	downloader work

2004-07-30 02:30  skvidal

	* cli.py, output.py, yum/__init__.py, yum/repos.py: 
	clean up rss generation, clear up some sillyness with callback
	setup for repository, fix code for importing non-primary metadata,
	fix double line output for metadata import callback

2004-07-27 05:32  skvidal

	* cli.py, output.py, yum/__init__.py, yum/repos.py: 
	found bug in the import packageObject parseSimple() method - empty
	objects, not pretty printed were erroring on importing.

2004-07-27 04:45  skvidal

	* cli.py, output.py, yum/packages.py, yum/repos.py: 
	list/info functions in places that make more sense.  need to write
	generate-rss function and import changelog metadata

2004-07-26 11:47  skvidal

	* cli.py, output.py, yum/packages.py: 
	check in for temp changes in list code and packages classes mostly
	to preserve changes so hd doesn't crash :)

2004-07-24 15:37  skvidal

	* cli.py, yum/__init__.py, yum/packages.py, yum/repos.py: 
	modifications for the Yum*Packages classes

2004-07-22 11:58  skvidal

	* cli.py: 
	process for part of the doTransaction

2004-07-21 10:52  skvidal

	* cli.py: 
	yum list recent - list the most recent 14 times of packages.

2004-07-13 03:38  skvidal

	* cli.py, yummain.py: 
	made list look purty commented out what doTransaction() should do
	made all the returns match for main()

2004-07-12 02:51  skvidal

	* yum/: depsolve.py, packages.py: 
	more depsolving goodness

2004-07-11 14:22  skvidal

	* rpmUtils/transaction.py, yum/depsolve.py: 
	more working-ness in depsolve, onto erase and update actions

2004-07-11 02:54  skvidal

	* output.py, rpmUtils/__init__.py, rpmUtils/transaction.py,
	yum/depsolve.py, yum/packages.py: 
	more depresolution changes

2004-07-09 03:52  skvidal

	* yum/depsolve.py: 
	...

2004-07-09 03:47  skvidal

	* cli.py, yum/__init__.py, yum/depsolve.py, yum/packages.py: 
	playing with more things for the depsolver

2004-07-08 03:55  skvidal

	* yummain.py, yum/depsolve.py: 
	clean it up and dump out some results.

2004-07-08 03:27  skvidal

	* cli.py, yum/__init__.py, yum/depsolve.py, yum/repos.py: 
	made depsolving a subclass of the yum base class made use of a
	method there in the list functions
	
	more hijinks ensue

2004-07-07 02:12  skvidal

	* cli.py, rpmUtils/transaction.py: 
	on our way to the finish line sorta

2004-07-06 03:57  skvidal

	* cli.py: 
	addendum for something to fix

2004-07-06 03:54  skvidal

	* cli.py, rpmUtils/arch.py, rpmUtils/miscutils.py, yum/packages.py:
	
	this should parse out the right arch/ver to use on installs when
	multiples are available.

2004-06-28 00:16  skvidal

	* cli.py: 
	ignore src.rpms, for now.

2004-06-28 00:15  skvidal

	* cli.py: 
	more fun with installPkgs - it now produces reasonable lists of
	packages to be installed, based on match

2004-06-28 00:14  skvidal

	* yummain.py: 
	flesh out most of the primary calling function

2004-06-28 00:14  skvidal

	* rpmUtils/__init__.py: 
	correct returnTupleByKeyword method

2004-06-28 00:13  skvidal

	* yum/__init__.py: change name from doTransaction to
	buildTransaction (for all the setup suff before the depsolve)

2004-06-28 00:07  skvidal

	* yum/packages.py: 
	fix some minor bugs

2004-06-25 02:28  skvidal

	* yum/: __init__.py, depsolve.py, packages.py: 
	do more work fleshing out for depsolve

2004-06-25 02:27  skvidal

	* yum/config.py: 
	make it possible for conf file to be relative path on command line
	option

2004-06-25 02:26  skvidal

	* cli.py: 
	added commands for yum update

2004-06-21 04:21  skvidal

	* cli.py, rpmUtils/__init__.py, yum/misc.py, yum/packages.py: 
	add misc to yum for unique() and eventually other functions
	partially implemented cli parsing for installing packages

2004-06-18 03:09  skvidal

	* cli.py: 
	whoops, one tab off

2004-06-18 03:08  skvidal

	* cli.py: 
	make returns work for listPkgs and setup stub for installPkgs

2004-06-18 02:14  skvidal

	* cli.py, yum/repos.py: 
	make dirs when setting up repos

2004-06-01 02:33  skvidal

	* cli.py: 
	made the output function more sensible and less uselessly
	repetetive need to make it use a package object but first I must
	make the package objects for installed packages

2004-06-01 02:16  skvidal

	* cli.py: 
	small clean up in yum list available

2004-06-01 02:15  skvidal

	* cli.py, rpmUtils/__init__.py: 
	convert all evr items to strings when pulling from the rpmdb make
	yum list extras work

2004-06-01 00:38  skvidal

	* cli.py: 
	refined list options, made list sorting work, add case sensitivity
	as an option to the package search

2004-05-30 01:33  skvidal

	* cli.py, yum/repos.py: 
	catch error if failed to get/import metadata xml files

2004-05-29 17:39  skvidal

	* cli.py, yum/__init__.py, yum/repos.py: 
	downloads of repomd.xml works again - fix the local file use for
	caches.

2004-05-29 01:12  skvidal

	* cli.py, yum/__init__.py: 
	look, look, progress bars

2004-05-26 03:30  skvidal

	* cli.py, yummain.py, rpmUtils/__init__.py, yum/__init__.py,
	yum/config.py, yum/packages.py, yum/repos.py: 
	- much of yum list - test out the new classes - lots of places to
	work on

2004-05-12 01:45  skvidal

	* rpmUtils/: arch.py, miscutils.py, transaction.py: 
	apply x86_64 changes to arch.py from rhpl add methods to
	TransactionWrapper from real ts a couple of useful string functions

2004-05-03 03:24  skvidal

	* yum/__init__.py: Made the YumBase class a lot more like  a base
	class - added in setup methods for the core of the yum
	infrastructure.

2004-05-03 03:24  skvidal

	* yummain.py: cleaned out all the useless logic and flow garbage in
	main()

2004-05-03 03:23  skvidal

	* cli.py: fleshed out useful methods for initial setup of yum
	'space'

2004-05-02 04:14  skvidal

	* yum/repos.py: useless checkin

2004-05-02 04:11  skvidal

	* yum/depsolve.py: proof of concept for the new metadata dep
	resolution. Need to take nevral.py and convert it to: 1. finding
	it's own suggests 2. resolving via new metadata for archs

2004-05-02 04:09  skvidal

	* yum/__init__.py: restructure locks with that base class

2004-05-02 04:09  skvidal

	* cli.py: all new cli base class for doing all the serious work

2004-05-02 04:08  skvidal

	* yummain.py: restructure and clean up for new base class for the
	cli

2004-04-25 17:08  skvidal

	* yum/packages.py: 
	new packages.py file for YumPackage class

2004-04-25 17:07  skvidal

	* cli.py, yummain.py, rpmUtils/transaction.py, yum/depsolve.py,
	yum/repos.py: 
	made the transaction.TransactionWrapper support iterating over the
	rpm.ts to extract transaction elements made new YumPackage class
	which subclasses packageObject.RpmXMLPackageObject   - need a nicer
	getHeader() function and the repos.get() function needs to handle
	more of urlgrabbers handling   - the ts for depsolving is now
	populateable w/o any heavy lifting.    should sit down tonight and
	do the cli parsing f'real and populate the ts,	f'real.

2004-04-22 03:36  skvidal

	* yummain.py, yum/repos.py: 
	imported new urlgrabber fleshed out the metadata retrieval and
	checksumming routines.

2004-04-21 01:55  skvidal

	* yum/depsolve.py: 
	initial cut at depsolve - nothing working yet but the populated ts
	is a good start needs getHeader function and ultimately that
	function needs to go somewhere tidier - but it is a convolution of
	multiple parts of yum so I'm not sure _ where_ yet.

2004-04-21 01:54  skvidal

	* rpmUtils/__init__.py, rpmUtils/transaction.py, yum/repos.py: 
	added a getIndexesByKeywords() function to rpmUtils/__init__.py -
	to grab the rpmdb index based on pkgtup - to help with erasures
	
	added  dump() and change() methods to the
	transaction.TransactionData  class to expedite importing that data
	to the ts
	
	modifications to yum repos for urlgrabbing

2004-04-16 01:01  skvidal

	* cli.py, yummain.py: 
	some clean ups of the cli code and the ordering of the code

2004-04-11 15:59  skvidal

	* cli.py, yummain.py, rpmUtils/transaction.py: 
	- yummain filled with cruft for testing - added parsing of packages
	for matching:	name   name.arch   name-ver-rel.arch   name-ver-rel
	  name-ver   epoch:name-ver-rel.arch   and wildcards of the above

2004-04-07 01:41  skvidal

	* cli.py, yummain.py: 
	cli.parseCommands() bugfix getting correct data back from the
	packageSack seems reliable now :)

2004-04-05 01:45  skvidal

	* cli.py, output.py, yummain.py, rpmUtils/transaction.py,
	rpmUtils/updates.py: 
	output - added - for output from command line cli - split out the
	output from the input parsing transaction - added some functions
	for the TransactionData class updates - fixed getOthersList()
	yummain - just temporarily made it list all updates

2004-04-01 03:28  skvidal

	* yummain.py: 
	packageSack.py - added __len__ method to PackageSack Class	   
	      - added delPackage() method, too
	
	yummain.py - used __len__ method of PackageSack

2004-03-29 18:02  skvidal

	* rpmUtils/updates.py: 
	updates call fix - when you remove an entry you need to blank the
	key, as well.

2004-03-29 02:48  skvidal

	* cli.py, yummain.py, rpmUtils/transaction.py, rpmUtils/updates.py,
	yum/repos.py: 
	added cli.py to store all the output to the command-line functions
	and parsing of the command line options
	
	updated rpmUtils from cvs
	
	pruned clientStuff.py - this file will eventually vanish, I think.
	
	yummain.py now only has a main function in it.

2004-03-28 21:12  skvidal

	* rpmUtils/: miscutils.py, transaction.py, updates.py,
	tests/updates-test.py: 
	update the rpmUtils module from its cvs

2004-03-26 02:02  skvidal

	* yummain.py, yum/repos.py: 
	added two functions to repo and repos classes shuffled around init
	order in main() in yummain.py need to go through and work out all
	the methods I need to the rpmdb and metadata classes to make
	searching easier also need to go through and move the cli option
	parsing to clientStuff.py and make a routine to parse the package
	arguments and match them out to things in our lists.

2004-03-22 01:23  skvidal

	* yummain.py, rpmUtils/updates.py, yum/Errors.py, yum/__init__.py,
	yum/config.py, yum/repos.py: 
	this is a temporary place with lots of debug output, deal. :)
	
	yummain.py - imports local cached xml metadata, prints out some
	interesting info metadata/packageSack.py - added a simplePkgList()
	method, need to clean this up a lot and fix del() then merge it
	backover to the metadata cvs rpmUtils/updates.py - remove arbitrary
	print statements - merge back, as well yum/Errors.py - New
	LockError yum/__init__.py - base class, lock functions
	yum/config.py - pushed progress object to repos class - something
	prettier needs to be done yum/repos.py - made it deal with
	packageSacks and repositories - needs to take progress objects,
	optionally at instantiation.

2004-03-20 17:12  skvidal

	* yum/repos.py: 
	- remove failover stuff as it is handled by mirrorgroups now, need
	to deal with repo.failed - added in repomd.xml handling

2004-03-18 02:20  skvidal

	* yum/config.py: 
	whoops, forgot to save

2004-03-18 02:19  skvidal

	* yum/: config.py, repos.py: misc things for the
	urlgrabber/mirrorgroup changeover. dumping failover to urlgrabber
	MirrorGroups

2004-03-18 01:42  skvidal

	* yum/repos.py: 
	useless stubs but I wanted to check it in before my disk crashed

2004-03-17 23:19  skvidal

	* yum/config.py: 
	fix the mirrorlist pull for up2date-style mirrorlists.
	
	this means $ARCH == $BASEARCH

2004-03-07 20:29  skvidal

	* yum/config.py: 
	dumbass typo - failovermethod

2004-03-07 20:20  skvidal

	* yum/config.py: 
	add bandwidth, throttle, keepalive, retries  and gpgcheck to the
	options that can be set globally to map to all repositories where
	it is not set.

2004-03-07 17:16  skvidal

	* yum/: config.py, repos.py: 
	for: gpgcheck, proxy, proxy_username, proxy_password and keepalive,
	if the setting is set under [main] but not under the repo then the
	setting in [main] is the default for the setting in the repo.

2004-03-07 00:46  skvidal

	* yum/config.py: 
	make mirrorlist= in urls work make $arch, $basearch, $releasever
	and $YUM0-9 case insensitive matches

2004-03-06 17:14  skvidal

	* yum/config.py: 
	docstring updates

2004-03-06 15:32  skvidal

	* yummain.py, rpmUtils/transaction.py: 
	lots of clean ups and touches - mostly deletions, truth be told

2004-03-06 15:31  skvidal

	* yum/: config.py, repos.py: 
	added reposdir (ie: /etc/yum.repos.d) support to config processing
	- it looks for *.repo in the config variable reposdir path  
	processes each one out using the include= options then reads them
	in as repositories

2004-03-05 01:57  skvidal

	* yum/: config.py, repos.py: 
	fixes to repos from the other night's changes separated out the
	repository parsing code into a method of config  - now it should be
	easier to do the yum.repos.d

2004-02-20 01:29  skvidal

	* rpmUtils/arch.py, rpmUtils/updates.py, yum/config.py,
	yum/repos.py: 
	updates.py: finished obsoletes code arch.py: added getBestArch()
	and changed getBaseArch() config.py: fixed up baseurl lists, added
	stubs for mirror list handling repos.py: added repos.delete()
	function

2004-02-19 03:36  skvidal

	* rpmUtils/: miscutils.py, updates.py: 
	obsoletes code and obsoletes testing

2004-02-18 00:01  skvidal

	* rpmUtils/updates.py: 
	it might not be obvious right away, but I'm an idiot.  when you're
	iterating over a list, it's a good idea to NOT remove items from
	that list lest you wish to truncate your results

2004-02-17 01:56  skvidal

	* rpmUtils/updates.py: 
	mindboggling simple functions added FIXME to where I need to do
	work

2004-02-17 00:58  skvidal

	* rpmUtils/: arch.py, updates.py: 
	check in some testing code for rpmUtils.updates

2004-02-17 00:22  skvidal

	* yummain.py, rpmUtils/__init__.py, rpmUtils/arch.py,
	rpmUtils/miscutils.py, rpmUtils/oldUtils.py,
	rpmUtils/transaction.py, rpmUtils/updates.py, yum/repos.py: 
	create most of the rpmUtils new updates class import the metadata
	stuff for now cleanups to yummain and repos much more to go

2004-02-03 22:54  skvidal

	* yum/: config.py, repos.py: 
	clean up some comments and > 80 char lines

2004-02-02 02:57  skvidal

	* yum/repos.py: 
	comment about handling urls and $vars in the Repository Class

2004-02-02 02:14  skvidal

	* yum/: config.py, failover.py, repos.py: 
	modified config for new repos.RepoStorage and repos.Repository
	Classes modified failover to meet new repository class add repos.py

2004-01-30 02:38  skvidal

	* yummain.py, yum/config.py: 
	rename things in the config.py methods and objects to talk about
	repos not servers (might as well do it now)
	
	clean up and expan cli/arg parsing

2004-01-29 01:55  skvidal

	* yum/config.py: 
	clean out clientStuff of old, crufty functions add obsoletes
	boolean to config

2004-01-28 02:31  skvidal

	* callback.py, i18n.py, yummain.py, po/pygettext.py, po/ru.po,
	po/yum.pot, yum/Errors.py, yum/__init__.py, yum/comps.py,
	yum/config.py, yum/failover.py: 
	- deleted all the cruft for yum-arch - moved all the things that
	will be library modules into yum/ - updated makefiles - if this
	builds and works it would be an absolute miracle.

2003-12-05 00:11  skvidal

	* docs/yum.conf.5: 
	doc typo

2003-10-21 17:44  skvidal

	* yummain.py: 
	apply locking patches to HEAD

2003-10-14 21:14  skvidal

	* yummain.py, docs/yum.8, docs/yum.conf.5, etc/yum.logrotate: 
	merge all of 2.0.X changes back into head

2003-10-14 20:58  skvidal

	* po/: pygettext.py, ru.po, yum.pot: 
	fix yum translation files from the cvs shuffle

2003-10-08 18:56  skvidal

	* i18n.py, progress_meter.py: 
	adds, deletes, all a happy merge

2003-10-08 18:48  skvidal

	* ChangeLog, README, TODO, callback.py, translate.py, yum.spec,
	yummain.py, docs/yum.8, docs/yum.conf.5, etc/yum.conf: 
	merge yum-2_1 branch to become HEAD begin to 'correct' how cvs is
	done so it matches the rest of the world

2003-09-18 02:17  skvidal

	* docs/yum.8: 
	doc typo fix old-headers->oldheaders

2003-09-17 23:58  skvidal

	* yummain.py: 
	typo in --help

2003-09-10 01:41  skvidal

	* docs/yum.conf.5: 
	argh - dumb typo in manpage fixed

2003-09-08 23:12  skvidal

	* ChangeLog: 
	
	official 1.0.3 tagging

2003-09-08 23:11  skvidal

	* yum.spec: 
	update to make 1.0.3

2003-09-08 22:02  skvidal

	* ChangeLog: 
	completely check in files <sigh>

2003-09-08 00:08  skvidal

	* yum.spec: 
	edits for version number 1.0.2

2003-07-02 22:17  skvidal

	* docs/: yum.8, yum.conf.5: 
	updated docs for tolerant mode

2003-07-02 22:01  skvidal

	* yummain.py: 
	add in tolerant mode for 1.0/rpm 4.0.4 branch

2003-05-31 12:33  skvidal

	* ChangeLog, yummain.py: 
	make docs consistent

2003-05-19 22:55  skvidal

	* ChangeLog, yum.spec: 
	mark as 1.0.1 update changelog update spec files update silly conf
	file

2003-05-19 22:40  skvidal

	* translate.py: 
	pkgaction: catch lilo test error more gracefully lilocfg: fix
	s/up2date/yum/ translate: fix s/up2date/yum/ - those last two from
	D. Burcaw's patches

2003-05-09 02:19  skvidal

	* docs/yum.conf.5: 
	document it

2003-05-09 02:12  skvidal

	* yummain.py: 
	import rpm needed in yummain (boggle)

2003-05-09 02:10  skvidal

	* yummain.py: 
	fixing up the ignore disk space check

2003-04-28 01:47  skvidal

	* yum.spec: 
	updated Makefile for /usr/lib -> /usr/share updated spec files

2003-04-28 01:30  skvidal

	* etc/yum.conf: 
	conf file now has $options

2003-04-28 01:29  skvidal

	* docs/yum.conf.5: 
	updated docs for: $YUM0-$YUM9 $releasever $arch, $basearch
	commands= distroverpkg= file:// support

2003-04-20 14:19  skvidal

	* yummain.py: allow empty command fields

2003-04-20 14:10  skvidal

	* yummain.py: 
	backport: commands= $YUM0-9 options clean up regex use in config.py

2003-04-05 18:08  skvidal

	* progress_meter.py: file progress_meter.py was initially added on
	branch yum-rpm_4_2_branch.

2003-03-22 16:05  skvidal

	* yummain.py: 
	Comments put in for diskspace check

2003-03-16 02:22  skvidal

	* yummain.py: 
	first check-in for new upgrade with arguments

2003-03-14 01:02  skvidal

	* yummain.py: 
	modifications to make upgrade [pkgs] work - incomplete partial
	rewrite of updatepkgs needed

2003-03-12 11:13  skvidal

	* yummain.py: 
	remove other sillyness

2003-03-12 01:30  skvidal

	* yummain.py: [no log message]

2003-03-12 01:06  skvidal

	* ChangeLog, yummain.py: 
	try to subclass - first try

2003-03-11 01:39  skvidal

	* yum.spec: 
	mark as 1.0

2003-03-11 01:36  skvidal

	* yum.spec: 
	bump ver to 0.9.5, fix spec files

2003-03-11 01:31  skvidal

	* etc/yum.conf: 
	add the 7.3 conf file to the release tarball

2003-03-11 00:08  skvidal

	* README, docs/yum.8, docs/yum.conf.5: 
	doc fixes for assumeyes and proxy information Update the readme
	make an error message have more oomph in clientStuff.py

2003-03-05 01:44  skvidal

	* docs/yum.conf.5: 
	typo

2003-03-05 00:05  skvidal

	* ChangeLog, TODO: 
	Update Changelog - update TODO

2003-03-05 00:01  skvidal

	* docs/: yum.8, yum.conf.5: 
	updates to the docs Thanks to Joshua Baker-LePain for the fixes to
	the pkgpolicy statement

2003-03-03 23:37  skvidal

	* ChangeLog, yummain.py: 
	implement check-update - to test - might not stick around for yum
	2.x

2003-03-03 10:28  skvidal

	* yum.spec: 
	remove perl requirements

2003-02-19 13:57  skvidal

	* po/yum.pot: file yum.pot was initially added on branch
	yum-rpm_4_2_branch.

2003-02-19 13:57  skvidal

	* po/ru.po: file ru.po was initially added on branch
	yum-rpm_4_2_branch.

2003-02-19 13:57  skvidal

	* po/pygettext.py: file pygettext.py was initially added on branch
	yum-rpm_4_2_branch.

2003-02-15 22:33  skvidal

	* i18n.py: file i18n.py was initially added on branch
	yum-rpm_4_2_branch.

2002-12-22 12:52  skvidal

	* ChangeLog, yum.spec: 
	Update to 0.9.4 - split into two spec files for 7.x and 8.0

2002-12-09 00:46  skvidal

	* ChangeLog: look an updated changelog

2002-12-09 00:38  skvidal

	* TODO, docs/yum.conf.5: 
	doc update for excludes changes

2002-12-06 18:46  skvidal

	* ChangeLog: 
	not quite complete changes for excludes

2002-10-22 18:12  skvidal

	* callback.py: 
	fix rpm404 import in clientStuff and everywhere to deal with
	exception handling on 7.x machines. This is ugly but theoretically
	it is temporary.

2002-10-20 21:58  skvidal

	* ChangeLog: 
	Changelog updates

2002-10-20 21:46  skvidal

	* yum.spec: 
	updated to 0.9.3 in spec and configure

2002-10-20 21:26  skvidal

	* docs/yum.8: 
	updated docs for  list extras and yum-arch -l

2002-10-13 01:16  skvidal

	* callback.py: 
	update all files for changes to make things potentially work for
	rpm 4.1 and rpm 4.0.4 so it should work on rhl 7.X and 8.0

2002-08-26 23:44  skvidal

	* ChangeLog: 
	updated changelog

2002-08-26 23:41  skvidal

	* docs/yum.8: 
	updated docs to list yum list and yum info options

2002-08-26 23:29  skvidal

	* etc/yum.conf: 
	updated conf file

2002-08-26 23:18  skvidal

	* yum.spec, yummain.py, docs/yum.8, etc/yum.conf: 
	Bumped version number Fixed -h and --help in yum-arch Moved yum and
	yum-arch to /usr/bin updated docs updated cron jobs made conf file
	have more meaning and use.

2002-08-25 00:23  skvidal

	* callback.py: fixed an odd divide by zero error under rpm404 in
	(null)

2002-08-24 16:15  skvidal

	* ChangeLog: 
	changelog update - fix - no newline at end of archwork.py

2002-08-24 16:11  skvidal

	* yummain.py: 
	ok, I swear, I think this is all of them - the imports are now at
	the top of the files excepting some very odd little cases.

2002-08-24 15:52  skvidal

	* callback.py: 
	yay - more fun import fixes

2002-08-23 00:28  skvidal

	* ChangeLog: [no log message]

2002-08-16 22:41  skvidal

	* yummain.py: added mode so clean commands are always run in
	cache-only mode.  need to make cache-only  brighter but this is
	probably going to be ok for now

2002-08-16 17:07  skvidal

	* ChangeLog: 
	changelog update

2002-08-16 17:07  skvidal

	* yummain.py, docs/yum.8: 
	updated docs and misc to note the changes in functionality

2002-08-16 16:59  skvidal

	* ChangeLog: 
	changelog update

2002-08-16 16:59  skvidal

	* yummain.py: 
	
	added the new logger module made non-root runs work properly made
	'provides' work as non-root and work better in general

2002-08-07 22:16  skvidal

	* yummain.py: 
	added yum whatprovides support made non-root-run be caching-only

2002-08-03 01:46  skvidal

	* yummain.py: 
	add -C option to work out of the cache make things faster by not
	caring about obsoletes unless its during an operation where it
	matters (upgrade)

2002-07-21 23:13  skvidal

	* yummain.py: 
	usage patch from Bor

2002-07-19 01:03  skvidal

	* ChangeLog: 
	updated changelog

2002-07-19 00:54  skvidal

	* docs/yum.8: 
	fix a duplication in listpkgs and add 'info' to the man page

2002-07-19 00:48  skvidal

	* yummain.py: 
	clean up main() some - make it shorted - break out cmd parsing to a
	separate function. pychecker no longer tells me I'm a loser.

2002-07-19 00:00  skvidal

	* yummain.py: 
	made yum info [pkgname] work.  not documented yet - probably not
	finished yet either.

2002-07-11 18:13  skvidal

	* ChangeLog, yum.spec: 
	updated for 0.9.1 <sigh>

2002-07-11 16:56  skvidal

	* ChangeLog, yum.spec: 
	 bumped to 0.9.0
	ChangeLog updated

2002-07-11 16:52  skvidal

	* yum.spec, yummain.py, docs/yum.conf.5: 
	fixed gpg checking to make gpghome configurable and gpgkeyring made
	gpg checking more like up2date's updated docs to reflect this fixed
	the updatehrdlist function (again)

2002-07-11 09:58  skvidal

	* yummain.py, docs/yum.8: 
	change -r option to -R

2002-07-10 02:04  skvidal

	* ChangeLog: 
	changelog changed by cvs2cl

2002-07-10 01:52  skvidal

	* yummain.py: 
	pychecker fixes the world.
	
	wow - I found a lot of soon-to-be-discovered problems w/o having to
	stumble on them on my own :)

2002-07-09 15:01  skvidal

	* yummain.py, docs/yum.8: 
	make -r command work correctly

2002-07-09 14:30  skvidal

	* AUTHORS: 
	Updated Authors file

2002-07-08 10:12  skvidal

	* ChangeLog: 
	updated the changelog!

2002-07-03 01:33  skvidal

	* docs/yum.8: 
	add -c into man page

2002-07-03 01:26  skvidal

	* ChangeLog: 
	new changelog

2002-07-03 01:26  skvidal

	* ChangeLog, yummain.py: 
	cleaned up comma space issues and single vs double quotes. Not
	finished but a lot better. Also fixed a bizarre overlooked bug in
	nevral load that would have almost never have been hit but could
	have been.

2002-07-01 11:18  skvidal

	* yummain.py: 
	fix things being out of order - pointed out by icon

2002-07-01 01:01  skvidal

	* yummain.py: 
	
	switched from tabs to spaces modified startup so a -c [config file]
	option is available probably broke the world moving shit around.

2002-06-30 02:53  skvidal

	* callback.py, translate.py, yummain.py: 
	all files modified for tab->space conversion.,
	
	god, shit will probably break

2002-06-30 00:43  skvidal

	* yum.spec: 
	fixed the spec file.

2002-06-29 15:15  skvidal

	* yum.spec: 
	my doesn't that just suck - occasionally rpm.labelCompare returns <
	-1 <boggle> thanks to icon and hunter

2002-06-21 13:55  skvidal

	* TODO: 
	more extreme wishlist items

2002-06-19 20:05  skvidal

	* ChangeLog: 
	updated changelog

2002-06-19 20:05  skvidal

	* docs/yum.8: 
	updated docs to reflect addition of "upgrade" command

2002-06-19 20:00  skvidal

	* yum.spec, yummain.py: 
	added os.unlink on checkSig made a differentation from update to
	upgrade upgrade includes obsoletes iff there is no update for the
	same package update does not include obsoletes.

2002-06-17 14:21  skvidal

	* ChangeLog: 
	Look Look a real ChangeLog!

2002-06-16 12:04  skvidal

	* TODO, yum.spec: 
	spec file and configure changes, add -e 0 to yum.cron

2002-06-16 01:00  skvidal

	* yummain.py: 
	make the non-gzipped header reading actually work

2002-06-15 17:41  skvidal

	* ChangeLog: 
	Fixed dumb bug - thanks to Grigory Bakunov

2002-06-14 16:18  skvidal

	* yum.spec, yummain.py: 
	fix spec file, back <sigh> update configure, again.
	
	add dumbass check for undeleted vars in yummain.py

2002-06-13 21:01  skvidal

	* docs/: yum.8, yum.conf.5: updated man pages to reflect errorlevel
	and -e options

2002-06-13 20:56  skvidal

	* yummain.py: 
	change errorlogs so they are leveled add -e option to set errorlog
	level = default is 2 which means print all errors even if they
	aren't really serious

2002-06-13 10:42  skvidal

	* yum.spec: 
	bumped version number, again.

2002-06-13 08:09  skvidal

	* yum.spec: 
	updated ver number after fixing kinda serious kernel problem,
	earlier

2002-06-13 08:07  skvidal

	* yummain.py: 
	if we return errors from the tsfin.run then we want to exit with an
	error condition, not continue and possibly fuckup lilo.conf or
	grub.conf

2002-06-13 00:19  skvidal

	* yum.spec: 
	duh

2002-06-13 00:18  skvidal

	* TODO, callback.py, yummain.py: 
	made the cmd line args nice and tidy made the logging make more
	sense made the rpm callback quiet when it should be quiet

2002-06-12 18:09  skvidal

	* yummain.py: [no log message]

2002-06-12 16:09  skvidal

	* callback.py: 
	fix a lot of -d # logging problems.  made logging more consistent. 
	file logs still need to be used more cmdline options need to be
	pushed into the config class and handled in callback.py

2002-06-12 16:08  skvidal

	* yummain.py: 
	fix the logfile need to make yummain non-root-happy.

2002-06-12 16:06  skvidal

	* yummain.py: 
	logs work like this:
	
	log(2,"words") 2 is default - print to stdout - nothing fancy
	anything above 2 is debug to stdout errorlog is print to stderr
	filelog is print to conf.logfile
	
	when you yum -d # - the number is what level of those logs you want
	to see.
	
	if the number is 3 then you see all logs at level 3 or lower (this
	only effects the 'log' object - errorlog and filelog ALWAYS happen)
	
	yum -d 0 should show nothing b/c there is nothing that low.

2002-06-11 15:23  skvidal

	* yummain.py: 
	add a message to tell people more about what is going on.

2002-06-11 10:07  skvidal

	* yum.spec: 
	<sigh> the dependency loops grow ever longer.
	
	I want to write out a complete diagram of all possible states for
	this loop.
	
	then just fulfill them all. That'd probably be best.

2002-06-10 23:52  skvidal

	* yummain.py: 
	its amazing what you learn when someone tells you specifically
	where in the fucking MODULE source to look for it.  <sigh>

2002-06-10 23:06  skvidal

	* TODO, yummain.py: 
	attempt to solve stupid update/install conflicts.
	
	might have to fudge conflicts like anaconda does.

2002-06-09 14:04  skvidal

	* yummain.py: 
	After much pain and agony recursive erase dependencies appear to
	work.  I need to comment A LOT more in nevral.nevral.resolvedeps
	but it appears to work "mostly" correct.

2002-06-09 12:25  skvidal

	* yum.spec: 
	iterate version to 0.8.2 - update spec file too

2002-06-09 12:20  skvidal

	* TODO: 
	remove client-side excludes todo item

2002-06-09 12:18  skvidal

	* docs/yum.conf.5: 
	nevral	- put back the thinko b/c I'm really a dumbass and
	shouldn't program this early.  yum.conf.5 - add exclude option
	clientStuff - add support for client-side excludes from
	updates/installs config.py - add support for exclude option
	excludes are a space separated list of pkgs to exclude - it is in
	the [main] section of the yum.conf file.

2002-06-09 11:53  skvidal

	* yummain.py: 
	clean ups trying to fix a depresolve bug

2002-06-09 02:09  skvidal

	* TODO, yummain.py: 
	
	implemented sigchecking - gpg and md5. md5 will always happen gpg
	will only happen if gpgcheck=1 is set in the yum.conf file in each
	server section ie:
	
	[serverid] baseurl=blarg name=blarg gpgcheck=1

2002-06-09 01:48  skvidal

	* TODO: 
	Prioritized and cleaned up TODO list.

2002-06-09 01:34  skvidal

	* TODO, yummain.py, docs/yum.8: 
	implemented yum clean * - updated man page to reflect that change

2002-06-09 00:40  skvidal

	* yummain.py: 
	Reorder things in yummain and clientStuff a little to make
	yummain.main() shorter and perhaps easier to follow.

2002-06-08 20:13  skvidal

	* docs/yum.conf.5: 
	real conf file man page

2002-06-08 18:12  skvidal

	* docs/yum.8: 
	man page now has some meaning

2002-06-08 12:33  skvidal

	* yummain.py: 
	--help -h and just typing 'yum' now work to display the usage. 
	That was annoying the crap out of me.

2002-06-08 12:12  skvidal

	* yummain.py: 
	consistent sort order in the servers list. using sort()

2002-06-08 09:12  skvidal

	* ChangeLog, yum.spec: 
	changed ver to 0.8.1

2002-06-08 02:41  skvidal

	* ChangeLog, TODO, yummain.py: 
	added yum list updates command

2002-06-08 02:21  skvidal

	* ChangeLog, TODO: 
	
	added Changelog - updated TODO

2002-06-08 01:31  skvidal

	* TODO: 
	clientstuff.py: make http url error spit out the url too TODO: more
	fun and painful things

2002-06-07 20:31  skvidal

	* TODO: 
	updated for docs information

2002-06-07 19:00  skvidal

	* README: 
	Updated theory and use

2002-06-07 01:37  skvidal

	* TODO: [no log message]

2002-06-07 01:27  skvidal

	* yummain.py: 
	added note in yummain where sigchecking should go

2002-06-07 01:14  skvidal

	* yum.spec: 
	fix the source

2002-06-07 01:12  skvidal

	* yum.spec: 
	Changed the %setup to not have -n

2002-06-07 01:11  skvidal

	* COPYING: Yum first import

2002-06-07 01:11  skvidal

	* AUTHORS, TODO, INSTALL, README, callback.py, yum.spec,
	translate.py, yummain.py, docs/yum.8, docs/yum.conf.5,
	etc/yum.conf, etc/yum.logrotate: Initial revision

